package com.xisc.pm;

import io.choerodon.resource.annoation.EnableChoerodonResourceServer;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

@EnableChoerodonResourceServer
@EnableDiscoveryClient
@SpringBootApplication
@EnableFeignClients({"com.xisc"})
@ComponentScan({"com.xisc"})
public class XiscpmApplication {

    public static void main(String[] args) {
        SpringApplication.run(XiscpmApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  xxxxx启动成功   ლ(´ڡ`ლ)ﾞ");
    }
}


