package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * fileName: InterfaceReceiveDTO
 * description: 二级接口接收参数
 * history:
 *
 * @author 张建元 jianyuan.zhang@hand-china.com
 * @version 1.0.0
 * @since 2024-08-27 15:58
 */
@Data
public class InterfaceReceiveDTO {
    @ApiModelProperty(value = "二级接口CODE")
    private String interfaceCode;
    @ApiModelProperty(value = "二级接口数据")
    private List<Map<String, String>> interfaceData;
}
