package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/26 15:40
 */
@Data
public class PmCompositeSlaParamDTO implements Serializable {
    private static final long serialVersionUID = 3462114118183050565L;

    @ApiModelProperty("库区号")
    private String stockCode;

    @ApiModelProperty("状态")
    private String statusCode;
    
    @ApiModelProperty("组坯类型")
    private String slabType;

    @ApiModelProperty("坯号")
    private String slabNo;
    
    @ApiModelProperty("租户号")
    private Long tenantId ;

    @ApiModelProperty("创建人id")
    private Long createdById;

    @ApiModelProperty("创建时间起")
    private Date createDateFrom;

    @ApiModelProperty("创建时间至")
    private Date createDateTo;

    @ApiModelProperty("试样号")
    private String sampleLotNo;

}
