package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/2 8:47
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmCompositeSlabListDTO implements Serializable {
    private static final long serialVersionUID = -6449832334416512490L;

    @ApiModelProperty("明细表主键id")
    private Long listId;

    @ApiModelProperty("层号")
    private Long layerNo;

    @ApiModelProperty("基材合同ID")
    private Long baseOrderId;

    @ApiModelProperty("基材合同号")
    private String baseOrderNo;

    @ApiModelProperty("合同件数")
    private Long orderQty;

    @ApiModelProperty("合同已编件数")
    private Long orderNoUsedQty;
}
