package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/1 15:59
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmCompositeSlabResLineDTO implements Serializable {

    private static final long serialVersionUID = 3240274353197121313L;

    @ApiModelProperty("层号")
    private Long layerNo;

    @ApiModelProperty("合同号")
    private String orderNo;

    @ApiModelProperty("合同厚")
    private BigDecimal orderThick;

    @ApiModelProperty("合同宽")
    private BigDecimal orderWidth;

    @ApiModelProperty("合同长")
    private BigDecimal orderLength;

    @ApiModelProperty("牌号")
    private String sgSign;

    @ApiModelProperty("订货单位")
    private String orderCustCname;

    @ApiModelProperty("收货单位")
    private String consignCustCname;

}
