package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/6 10:37
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmPdCcSlabWidthDTO implements Serializable {
    private static final long serialVersionUID = 2118497294449351929L;

    @ApiModelProperty("宽度")
    private BigDecimal slabWidth;

    @ApiModelProperty("钢种对应板坯总重量")
    private Map<String, BigDecimal> slabTotalWtMap;

    @ApiModelProperty("板坯长度")
    private List<PmPdCcSlabLengthDTO> slabLengthList;
}
