package com.xisc.pm.api.dto;

import com.xisc.pm.domain.entity.PmPolicy;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2024/10/16 16:41
 * @description
 */
@Data
public class PmPolicySaveDTO implements Serializable {
    private static final long serialVersionUID = 7772590812764023853L;

    @ApiModelProperty("策略数据")
    private PmPolicy pmPolicy;

    @ApiModelProperty("table页数据")
    private PmPolicyResDTO pmPolicyResDTO;

    @ApiModelProperty("是否删除table标识(Y/N)")
    private String isDelete;
}
