package com.xisc.pm.api.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @author 曾俊 jun.zeng@hand-china.com 2024-07-29 15:50:20
 *
 */
@Data
@ApiModel("生产合同简要信息")
public class PmProContSimpleDTO implements Serializable {

    private static final long serialVersionUID = 2406591360035229860L;

    @ApiModelProperty("合同号")
    private String orderNo;
    
    @ApiModelProperty("合同欠件")
    private BigDecimal pdLackQty ;

    @ApiModelProperty("订货厚")
    private BigDecimal orderThick;

    @ApiModelProperty("订货宽")
    private BigDecimal orderWidth;

    @ApiModelProperty("订货长")
    private BigDecimal LenAim;

    @ApiModelProperty("牌号")
    private String sgSign ;
}
