package com.xisc.pm.api.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @author 曾俊 jun.zeng@hand-china.com 2024-07-29 15:50:20
 *
 */
@Data
@ApiModel("生产合同组板复制参数DTO")
public class PmProContYieldCopyRequestDTO implements Serializable {
    
    private static final long serialVersionUID = -3279666375395127658L;

    @ApiModelProperty("租户ID")
    private Long tenantId ;
    
    @ApiModelProperty("虚拟板坯号")
    private String virtualSlabNo;
    
    @ApiModelProperty("复制分数")
    private Integer copyNum ;
    
}
