package com.xisc.pm.api.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @author 曾俊 jun.zeng@hand-china.com 2024-07-29 15:50:20
 *
 */
@Data
@ApiModel("生产合同轴合同与非轴合同选择接口参数DTO")
public class PmProContYieldDTO implements Serializable {
    
    private static final long serialVersionUID = 3616189116406014166L;

    @ApiModelProperty("租户ID")
    private Long tenantId ;
    
    @ApiModelProperty("轴合同编码")
    private String orderNo ;
    
    @ApiModelProperty("轴合同标记,false-非轴，true-轴")
    private Boolean axisFlag ;
    
    @ApiModelProperty("调整后小板长度")
    private BigDecimal smallPlateLen ;
    
    @ApiModelProperty("超投件数")
    private BigDecimal pdOverDevoQty ;

    @ApiModelProperty("超投原因")
    private String pdOverDevoCause ;
    
    private boolean skipCheckQty = false ;
}
