package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2025/1/13 17:46
 * @description
 */
@Data
public class PmProductionPlanReqDTO implements Serializable {
    private static final long serialVersionUID = 5366725514998694599L;

    @ApiModelProperty("制造命令号")
    @NotBlank
    private String pono;

    @ApiModelProperty("板坯号")
    private String slabNo;

    @ApiModelProperty("命令板坯号")
    private String ponoSlabNo;
}
