package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2024/11/26 8:32
 * @description
 */
@Data
public class PmRemoveBoardsFromOrderDTO implements Serializable {
    private static final long serialVersionUID = 6863262907121832917L;

    @ApiModelProperty("命令板坯号")
    @NotBlank
    private String ponoSlab;

    @ApiModelProperty(value = "材料状态码")
    @NotBlank
    private String matStatus;

    @ApiModelProperty(value = "系统标识，模块简称(PM,MM,SM,CT,QE,QD)")
    @NotBlank
    private String systemCode;

    @ApiModelProperty(value = "员工编号ID")
    @NotBlank
    private String eventMaker;

    @ApiModelProperty(value = "板坯去向")
    @NotBlank
    private String slabDest;

}
