package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/10/14 16:51
 */
@Data
public class PmRuntimeContractAppointDTO implements Serializable {
    private static final long serialVersionUID = -7554522076856057476L;

    @ApiModelProperty(value = "合同号")
    private List<String> orderNoList;

    @ApiModelProperty(value = "产线id")
    private List<Long> prodLineIdList;

    @ApiModelProperty(value = "断面信息")
    private List<PmRuntimeContractMoldDTO> moldList;
}
