package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Map;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/10/13 15:20
 */
@Data
public class PmRuntimeContractDetailDTO implements Serializable {
    private static final long serialVersionUID = -1764200622685015002L;

    @ApiModelProperty(value = "表头列号")
    private Long headerColumnNum;

    @ApiModelProperty(value = "厚度规格起")
    private BigDecimal thickFrom;

    @ApiModelProperty(value = "厚度规格止")
    private BigDecimal thickTo;

    @ApiModelProperty(value = "宽度规格起")
    private BigDecimal widFrom;

    @ApiModelProperty(value = "宽度规格止")
    private BigDecimal widTo;

    @ApiModelProperty(value = "长度规格起")
    private BigDecimal lengthFrom;

    @ApiModelProperty(value = "长度规格止")
    private BigDecimal lengthTo;

    @ApiModelProperty(value = "钢种号以及对应重量")
    private Map<String, BigDecimal> stNoWtMap;
}
