package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/10/14 17:05
 */
@Data
public class PmRuntimeContractMoldDTO implements Serializable {
    private static final long serialVersionUID = -3138800043916519854L;

    @ApiModelProperty(value = "断面厚")
    private BigDecimal moldThick;

    @ApiModelProperty(value = "断面宽")
    private BigDecimal moldWid;
}
