package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/10/14 9:21
 */
@Data
public class PmRuntimeContractWidthDTO implements Serializable {
    private static final long serialVersionUID = -4809728652288131374L;


    @ApiModelProperty("宽度起")
    private BigDecimal widthFrom;

    @ApiModelProperty("宽度至")
    private BigDecimal widthTo;

    @ApiModelProperty("钢种对应合同总重量")
    private Map<String, BigDecimal> orderTotalWtMap;


    @ApiModelProperty("长度信息")
    private List<PmRuntimeContractLengthDTO> lengthList;
}
