package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/12 11:12
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmSlabPoolInNoReqDTO implements Serializable {
    private static final long serialVersionUID = -6076729938186829288L;

    @ApiModelProperty("排序最后一块板坯主键id")
    private Long id;

    @ApiModelProperty("无委坯数量")
    private Long num;

    @ApiModelProperty("无委坯长")
    private BigDecimal slabLen;

    @ApiModelProperty("无委坯重量")
    private BigDecimal slabWt;

    @ApiModelProperty(value = "无委坯说明")
    private String description;
}
