package com.xisc.pm.api.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 二次开坯信息
 * @author jun.zeng
 *
 */
@Data
public class PmTwoRollInterimRequestDTO implements Serializable {

    private static final long serialVersionUID = -866844426600065828L;
    
    @ApiModelProperty("板坯号")
    private String slabNo; 
    
    @ApiModelProperty("厚度")
    private BigDecimal moldThick;
    
    @ApiModelProperty("宽度")
    private BigDecimal moldWidth ;
    
    @ApiModelProperty("长度")
    private BigDecimal slabLen ;
    
    @ApiModelProperty("内部钢种")
    private String stNo ;
    
    @ApiModelProperty("外部牌号")
    private String sgSign ;
    
    @ApiModelProperty("命令板坯号")
    private String ponoSlabNo;
    
    @ApiModelProperty("板坯信息")
    private PmPdSlabSplitDTO mmSlab ;
    
    private Long tenantId ;
}
