package com.xisc.pm.api.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.HashMap;
import java.util.Map;

import lombok.Data;

/**
 * 试样添加-返回生产实体类
 * @author peng.luo
 * @since 2024-08-26 13:58:53
 */
@Data
public class QeSampleAddtionResponseDTO implements Serializable {


    private static final long serialVersionUID = 1104985246240067100L;

    private String tmpSlabNo ;
    
    private BigDecimal sampleLen = BigDecimal.ZERO;
    
    private BigDecimal sampleLenHead = BigDecimal.ZERO;
    private BigDecimal sampleLenMid = BigDecimal.ZERO;
    private BigDecimal sampleLenTail = BigDecimal.ZERO;
    private BigDecimal sampleLenGive = BigDecimal.ZERO;
    private BigDecimal sampleHeadLenFree = BigDecimal.ZERO;
    private BigDecimal sampleTailLenFree = BigDecimal.ZERO;
    private BigDecimal sampleHeadLenPlate = BigDecimal.ZERO;
    private BigDecimal sampleTailLenPlate = BigDecimal.ZERO;
    
    private Map<String, ProductionTypePResponseDTO> productionTypePResponse = new HashMap<>();
    
    private Map<String, ProductionTypeBResponseDTO> productionTypeBResponse = new HashMap<>();
    
    private Map<String, ProductionTypeGiveResponseDTO> productionTypeGiveResponse = new HashMap<>();
    
}
