package com.xisc.pm.api.dto.export;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hzero.export.annotation.ExcelColumn;
import org.hzero.export.annotation.ExcelSheet;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author BKGY  MYT
 */
@ExcelSheet(zh = "钢种改判配置", en = "PmSgDetermine")
@Data
public class PmSgDetermineDTO {
    @ApiModelProperty("主键ID")
    private Long id;

    @ExcelColumn(zh = "钢种", en = "stNo", order = 1)
    @ApiModelProperty(value = "钢种", required = true)
    private String stNo;

//    @ExcelColumn(zh = "钢种描述", en = "stDescribe", order = 2)
//    @ApiModelProperty(value = "钢种描述")
//    private String stDescribe;

    @ExcelColumn(zh = "衔接钢种", en = "linkupStNo", order = 2)
    @ApiModelProperty(value = "衔接钢种")
    private String linkupStNo;

    @ExcelColumn(zh = "改判钢种", en = "alterableStNo", order = 3)
    @ApiModelProperty(value = "改判钢种")
    private String alterableStNo;

    @ExcelColumn(zh = "订单数", en = "test1", order = 4)
    @ApiModelProperty(value = "订单数")
    private String test1;

    @ExcelColumn(zh = "订单合格数", en = "test2", order = 5)
    @ApiModelProperty(value = "订单合格数")
    private String test2;

    @ExcelColumn(zh = "订单合格率", en = "test3", order = 6)
    @ApiModelProperty(value = "订单合格率")
    private String test3;

    @ExcelColumn(zh = "是否启用", en = "ifFlag", order = 7)
    @ApiModelProperty(value = "是否启用")
    private String ifFlag;

    @ExcelColumn(zh = "产线号", en = "mscLineNo", order = 8)
    @ApiModelProperty(value = "产线号")
    private String mscLineNo;

    @ExcelColumn(zh = "创建时间", en = "creationDate", order = 9)
    @ApiModelProperty(value = "创建时间")
    private Date creationDate;

    @ExcelColumn(zh = "创建人", en = "createdBy", order = 10)
    @ApiModelProperty(value = "创建人")
    private Long createdBy;

    @ExcelColumn(zh = "修改时间", en = "lastUpdateDate", order = 11)
    @ApiModelProperty(value = "修改时间")
    private Date lastUpdateDate;

    @ExcelColumn(zh = "修改人", en = "lastUpdatedBy", order = 12)
    @ApiModelProperty(value = "修改人")
    private Long lastUpdatedBy;
}
