package com.xisc.pm.app.service;

import com.xisc.pm.api.dto.PmAutoSubSettingDTO;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmAutoSubSetting;

import java.util.List;

/**
 * 自动替代配置表(PmAutoSubSetting)应用服务
 *
 * @author BKGY
 * @since 2024-12-27 08:56:23
 */
public interface PmAutoSubSettingService {

    /**
     * 查询数据
     *
     * @param pageRequest       分页参数
     * @param pmAutoSubSettings 查询条件
     * @return 返回值
     */
    Page<PmAutoSubSetting> selectList(PageRequest pageRequest, PmAutoSubSetting pmAutoSubSettings);

    /**
     * 保存数据
     *
     * @param pmAutoSubSetting 数据
     */
    void saveData(PmAutoSubSettingDTO pmAutoSubSetting);

    PmAutoSubSettingDTO selectPmAutoSubSetting();
}

