package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmCdContLog;

import java.util.List;

/**
 * 转用充当履历(PmCdContLog)应用服务
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-16 16:43:01
 */
public interface PmCdContLogService {

    /**
     * 查询数据
     *
     * @param pageRequest  分页参数
     * @param pmCdContLogs 查询条件
     * @return 返回值
     */
    Page<PmCdContLog> selectList(PageRequest pageRequest, PmCdContLog pmCdContLogs);

    /**
     * 保存数据
     *
     * @param pmCdContLogs 数据
     */
    void saveData(List<PmCdContLog> pmCdContLogs);

}

