package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmHeatTreatFurnaceBtTra;

import java.util.List;

/**
 * 热处理炉基准规格表履历表(PmHeatTreatFurnaceBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 12:25:00
 */
public interface PmHeatTreatFurnaceBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest              分页参数
     * @param pmHeatTreatFurnaceBtTras 查询条件
     * @return 返回值
     */
    Page<PmHeatTreatFurnaceBtTra> selectList(PageRequest pageRequest, PmHeatTreatFurnaceBtTra pmHeatTreatFurnaceBtTras);

    /**
     * 保存数据
     *
     * @param pmHeatTreatFurnaceBtTras 数据
     */
    void saveData(List<PmHeatTreatFurnaceBtTra> pmHeatTreatFurnaceBtTras);

}

