package com.xisc.pm.app.service;

import com.xisc.pm.api.dto.PmPdOperationReRequestDTO;
import com.xisc.pm.api.dto.PmPdOperationReResponseDTO;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/7/31 9:47
 */
public interface PmPdOperationReService {
    /**
     * 查询组板操作记录
     *
     * @param pageRequest 分页参数
     * @param dto         查询参数
     * @param tenantId    租户
     * @return
     */
    Page<PmPdOperationReResponseDTO> list(PageRequest pageRequest, PmPdOperationReRequestDTO dto, Long tenantId);

    /**
     * 组板操作记录导出
     *
     * @param tenantId 租户
     * @param dto      查询参数
     * @return
     */
    List<PmPdOperationReResponseDTO> exportList(Long tenantId, PmPdOperationReRequestDTO dto);
}
