package com.xisc.pm.app.service;

import com.xisc.pm.api.dto.export.PmRetainStDTO;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmRetainSt;

import java.util.List;

/**
 * 钢种信息配置表(PmRetainSt)应用服务
 *
 * @author BKGY
 * @since 2024-12-24 09:11:15
 */
public interface PmRetainStService {

    /**
     * 查询数据
     *
     * @param pageRequest 分页参数
     * @param pmRetainSts 查询条件
     * @return 返回值
     */
    Page<PmRetainSt> selectList(PageRequest pageRequest, PmRetainSt pmRetainSts);

    /**
     * 保存数据
     *
     * @param pmRetainSts 数据
     */
    void saveData(List<PmRetainSt> pmRetainSts);

    List<PmRetainStDTO> exportList(Long organizationId, PmRetainSt pmRetainSt);
}

