package com.xisc.pm.app.service;

import com.xisc.pm.api.dto.export.PmRetainStackDTO;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmRetainStack;

import java.util.List;

/**
 * 仓库交货配置表(PmRetainStack)应用服务
 *
 * @author BKGY
 * @since 2024-12-25 08:45:27
 */
public interface PmRetainStackService {

    /**
     * 查询数据
     *
     * @param pageRequest    分页参数
     * @param pmRetainStacks 查询条件
     * @return 返回值
     */
    Page<PmRetainStack> selectList(PageRequest pageRequest, PmRetainStack pmRetainStacks);

    /**
     * 保存数据
     *
     * @param pmRetainStacks 数据
     */
    void saveData(List<PmRetainStack> pmRetainStacks);

    List<PmRetainStackDTO> exportList(Long organizationId, PmRetainStack pmRetainStack);
}

