package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmSlabReplBtTra;

import java.util.List;

/**
 * 余材组板内部钢种以优充次对照表履历表(PmSlabReplBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 11:30:49
 */
public interface PmSlabReplBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest      分页参数
     * @param pmSlabReplBtTras 查询条件
     * @return 返回值
     */
    Page<PmSlabReplBtTra> selectList(PageRequest pageRequest, PmSlabReplBtTra pmSlabReplBtTras);

    /**
     * 保存数据
     *
     * @param pmSlabReplBtTras 数据
     */
    void saveData(List<PmSlabReplBtTra> pmSlabReplBtTras);

}

