package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmSteelCastFlow;

import java.util.List;

/**
 * 炼钢连铸制造命令铸机流表(PmSteelCastFlow)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-15 11:11:19
 */
public interface PmSteelCastFlowService {

    /**
     * 查询数据
     *
     * @param pageRequest      分页参数
     * @param pmSteelCastFlows 查询条件
     * @return 返回值
     */
    Page<PmSteelCastFlow> selectList(PageRequest pageRequest, PmSteelCastFlow pmSteelCastFlows);

    /**
     * 保存数据
     *
     * @param pmSteelCastFlows 数据
     */
    void saveData(List<PmSteelCastFlow> pmSteelCastFlows);

}

