package com.xisc.pm.app.service;

import com.xisc.pm.domain.entity.PmSteelTypeGroup;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

/**
 * 钢种组信息维护(PmSteelTypeGroup)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-10 13:31:27
 */
public interface PmSteelTypeGroupService {

    /**
     * 查询数据
     *
     * @param pageRequest       分页参数
     * @param pmSteelTypeGroups 查询条件
     * @return 返回值
     */
    Page<PmSteelTypeGroup> selectList(PageRequest pageRequest, PmSteelTypeGroup pmSteelTypeGroups);

    /**
     * 保存数据
     *
     * @param tenantId         租户
     * @param pmSteelTypeGroup 数据
     */
    void saveData(Long tenantId, PmSteelTypeGroup pmSteelTypeGroup);

}

