package com.xisc.pm.app.service;

import com.xisc.pm.api.dto.PmSubOrdResponseDTO;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmSubOrd;

import java.util.List;

/**
 * 组板履历合同表(PmSubOrd)应用服务
 *
 * @author BKGY
 * @since 2025-01-02 10:39:49
 */
public interface PmSubOrdService {

    /**
     * 查询数据
     *
     * @param pageRequest 分页参数
     * @param pmSubOrds   查询条件
     * @return 返回值
     */
    Page<PmSubOrd> selectList(PageRequest pageRequest, PmSubOrd pmSubOrds);

    /**
     * 保存数据
     *
     * @param pmSubOrds 数据
     */
    void saveData(List<PmSubOrd> pmSubOrds);

    Page<PmSubOrdResponseDTO> selectOrdList(PageRequest pageRequest, PmSubOrd pmSubOrd);
}

