package com.xisc.pm.app.service;

import com.xisc.pm.domain.entity.PmThickAddvBtTra;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * 钢板厚度余量基准表履历表(PmThickAddvBtTra)应用服务
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-09-06 08:41:57
 */
public interface PmThickAddvBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest       分页参数
     * @param pmThickAddvBtTras 查询条件
     * @return 返回值
     */
    Page<PmThickAddvBtTra> selectList(PageRequest pageRequest, PmThickAddvBtTra pmThickAddvBtTras);

    /**
     * 保存数据
     *
     * @param pmThickAddvBtTras 数据
     */
    void saveData(List<PmThickAddvBtTra> pmThickAddvBtTras);

}

