package com.xisc.pm.app.service;

import com.xisc.pm.domain.entity.PmWmWwBt;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * 厚板产线_命令余材长度基准表(PmWmWwBt)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-15 15:18:30
 */
public interface PmWmWwBtService {

    /**
     * 查询数据
     *
     * @param pageRequest 分页参数
     * @param pmWmWwBts   查询条件
     * @return 返回值
     */
    Page<PmWmWwBt> selectList(PageRequest pageRequest, PmWmWwBt pmWmWwBts);

    /**
     * 保存数据
     *
     * @param tenantId     租户
     * @param pmWmWwBtList 对象集合
     */
    void saveData(Long tenantId, List<PmWmWwBt> pmWmWwBtList);

    /**
     * 删除
     *
     * @param pmWmWwBtList 对象集合
     */
    void deleteForUi(List<PmWmWwBt> pmWmWwBtList);
}

