package com.xisc.pm.app.service.autoboard.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

import lombok.Data;

/**
 * 策略钢种
 * @author jun.zeng
 *
 */
@Data
public class PmAutoPdResultRequestDTO implements Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = -2305225630451166082L;

    private Long requestId ;
    
    private Long policyGroupId ;
    
    private Long version ;
    
    private String stNo ;
    
    private List<String> stNoList ;
    
    private String heatTreatMode ;
    
    private String orderNo ;
    
    private String mscLineNo ;
    private BigDecimal moldThick ;
    private BigDecimal moldWid ;
    
    private List<Integer> publishedStatusList ;
    
    private List<String> virtualSlabNoList ;
    
    private boolean queryDetail ;
    
    private String remainCount = "N"  ;
    
}
