package com.xisc.pm.app.service.autoboard.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import lombok.Data;

/**
 * 策略组合同分组
 * @author jun.zeng
 *
 */
@Data
public class PmOrderGroupDTO implements Serializable {

    private static final long serialVersionUID = 2183150540377439521L;
    
    // 优先级
    private Long priority;
    
    // 分组ID
    private Long groupId ;
    
    // 维度
    private List<String> groupDimenSion = new ArrayList<String>();
    
    private List<String> groupSeq = new ArrayList<>();
    
}
