package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmCdRuleItem;

import java.util.List;

/**
 * 充当规则库(PmCdRuleItem)资源库
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-16 10:57:46
 */
public interface PmCdRuleItemRepository extends BaseRepository<PmCdRuleItem> {
    /**
     * 查询
     *
     * @param pmCdRuleItem 查询条件
     * @return 返回值
     */
    List<PmCdRuleItem> selectList(PmCdRuleItem pmCdRuleItem);

    /**
     * 根据主键查询（可关联表）
     *
     * @param ruleItemId 主键
     * @return 返回值
     */
    PmCdRuleItem selectByPrimary(Long ruleItemId);
}
