package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmHeatTreatFurnaceBt;

import java.util.List;

/**
 * 热处理炉基准规格表(PmHeatTreatFurnaceBt)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 12:24:42
 */
public interface PmHeatTreatFurnaceBtRepository extends BaseRepository<PmHeatTreatFurnaceBt> {
    /**
     * 查询
     *
     * @param pmHeatTreatFurnaceBt 查询条件
     * @return 返回值
     */
    List<PmHeatTreatFurnaceBt> selectList(PmHeatTreatFurnaceBt pmHeatTreatFurnaceBt);

    /**
     * 根据主键查询（可关联表）
     *
     * @param phtfbId 主键
     * @return 返回值
     */
    PmHeatTreatFurnaceBt selectByPrimary(Long phtfbId);
}
