package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmHotConfigTra;

import java.util.List;

/**
 * 组炉默认热处理去向配置表履历表(PmHotConfigTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 10:19:24
 */
public interface PmHotConfigTraRepository extends BaseRepository<PmHotConfigTra> {
    /**
     * 查询
     *
     * @param pmHotConfigTra 查询条件
     * @return 返回值
     */
    List<PmHotConfigTra> selectList(PmHotConfigTra pmHotConfigTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmHotConfigTra selectByPrimary(Long traId);
}
