package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmIngotYieldBtTra;

import java.util.List;

/**
 * 钢锭收得率基准表履历表(PmIgnotYieldBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 18:56:33
 */
public interface PmIngotYieldBtTraRepository extends BaseRepository<PmIngotYieldBtTra> {
    /**
     * 查询
     *
     * @param pmIngotYieldBtTra 查询条件
     * @return 返回值
     */
    List<PmIngotYieldBtTra> selectList(PmIngotYieldBtTra pmIngotYieldBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmIngotYieldBtTra selectByPrimary(Long traId);
}
