package com.xisc.pm.domain.repository;

import com.xisc.pm.api.dto.PmIrsubableSlabRequestDTO;
import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmIrsubableSlab;

import java.util.List;

/**
 * 不可替代板坯表(PmIrsubableSlab)资源库
 *
 * @author BKGY
 * @since 2024-12-20 15:57:38
 */
public interface PmIrsubableSlabRepository extends BaseRepository<PmIrsubableSlab> {
    /**
     * 查询
     *
     * @param pmIrsubableSlab 查询条件
     * @return 返回值
     */
    List<PmIrsubableSlab> selectList(PmIrsubableSlabRequestDTO pmIrsubableSlab);

    /**
     * 根据主键查询（可关联表）
     *
     * @param id 主键
     * @return 返回值
     */
    PmIrsubableSlab selectByPrimary(Long id);
}
