package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmMinThickTolBtTra;

import java.util.List;

/**
 * 最小轧制厚度公差范围基准表(PmMinThickTolBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-23 11:11:58
 */
public interface PmMinThickTolBtTraRepository extends BaseRepository<PmMinThickTolBtTra> {
    /**
     * 查询
     *
     * @param pmMinThickTolBtTra 查询条件
     * @return 返回值
     */
    List<PmMinThickTolBtTra> selectList(PmMinThickTolBtTra pmMinThickTolBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmMinThickTolBtTra selectByPrimary(Long traId);
}
