package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmPdPlateInfo;
import com.xisc.pm.domain.entity.PmPdPlateInfoTra;
import org.hzero.mybatis.base.BaseRepository;

import java.util.Date;
import java.util.List;

/**
 * 钢板信息表履历表(PmPdPlateInfoTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-26 11:35:13
 */
public interface PmPdPlateInfoTraRepository extends BaseRepository<PmPdPlateInfoTra> {
    /**
     * 查询
     *
     * @param pmPdPlateInfoTra 查询条件
     * @return 返回值
     */
    List<PmPdPlateInfoTra> selectList(PmPdPlateInfoTra pmPdPlateInfoTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmPdPlateInfoTra selectByPrimary(Long traId);

    /**
     * 批量创建
     *
     * @param pdPlateInfoList
     * @param operationType
     * @param operationTime
     * @param operationUser
     * @return
     */
    List<PmPdPlateInfoTra> buildPmPdPlateInfoTraList(List<PmPdPlateInfo> pdPlateInfoList, String operationType, Date operationTime, String operationUser);
}
