package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmPdPlate;
import com.xisc.pm.domain.entity.PmPdPlateTra;
import org.hzero.mybatis.base.BaseRepository;

import java.util.Date;
import java.util.List;

/**
 * 组板钢板表(PmPdPlateTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-26 11:34:43
 */
public interface PmPdPlateTraRepository extends BaseRepository<PmPdPlateTra> {
    /**
     * 查询
     *
     * @param pmPdPlateTra 查询条件
     * @return 返回值
     */
    List<PmPdPlateTra> selectList(PmPdPlateTra pmPdPlateTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmPdPlateTra selectByPrimary(Long traId);

    /**
     * 创建履历表
     *
     * @param pmPdPlateList
     * @param operationType
     * @param operationTime
     * @param operationUser
     * @return
     */
    List<PmPdPlateTra> buildPmPdPlateTraList(List<PmPdPlate> pmPdPlateList, String operationType, Date operationTime, String operationUser);
}
