package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPdRecCfg;

/**
 * 组板履历事件配置表资源库
 *
 * @author 曾俊 jun.zeng@hand-china.com 2024-07-31 08:01:12
 */
public interface PmPdRecCfgRepository extends BaseRepository<PmPdRecCfg> {

    /**
     * 通过事件编码查询事件配置
     * @param code
     * @return
     */
    PmPdRecCfg selectByEventCode(String code);

}
