package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPdRuleSet;

import java.util.List;

/**
 * 组板设计规则集(PmPdRuleSet)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-30 14:15:47
 */
public interface PmPdRuleSetRepository extends BaseRepository<PmPdRuleSet> {
    /**
     * 查询
     *
     * @param pmPdRuleSet 查询条件
     * @return 返回值
     */
    List<PmPdRuleSet> selectList(PmPdRuleSet pmPdRuleSet);

    /**
     * 根据主键查询（可关联表）
     *
     * @param ruleSetId 主键
     * @return 返回值
     */
    PmPdRuleSet selectByPrimary(Long ruleSetId);
}
