package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmPolicyGrOrder;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 策略组与合同分组表(PmPolictGrOrder)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-08 12:28:51
 */
public interface PmPolicyGrOrderRepository extends BaseRepository<PmPolicyGrOrder> {
    /**
     * 查询
     *
     * @param pmPolicyGrOrder 查询条件
     * @return 返回值
     */
    List<PmPolicyGrOrder> selectList(PmPolicyGrOrder pmPolicyGrOrder);

    /**
     * 根据主键查询（可关联表）
     *
     * @param policyGroupOrderId 主键
     * @return 返回值
     */
    PmPolicyGrOrder selectByPrimary(Long policyGroupOrderId);
}
