package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmPolicyGroupRel;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 策略组与策略关系表(PmPolicyGroupRel)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-08 09:39:42
 */
public interface PmPolicyGroupRelRepository extends BaseRepository<PmPolicyGroupRel> {
    /**
     * 查询
     *
     * @param pmPolicyGroupRel 查询条件
     * @return 返回值
     */
    List<PmPolicyGroupRel> selectList(PmPolicyGroupRel pmPolicyGroupRel);

    /**
     * 根据主键查询（可关联表）
     *
     * @param policyGroupRelId 主键
     * @return 返回值
     */
    PmPolicyGroupRel selectByPrimary(Long policyGroupRelId);
}
