package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPolicySteelType;

import java.util.List;

/**
 * 策略信息内部钢种表(PmPolicySteelType)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-16 10:47:49
 */
public interface PmPolicySteelTypeRepository extends BaseRepository<PmPolicySteelType> {
    /**
     * 查询
     *
     * @param pmPolicySteelType 查询条件
     * @return 返回值
     */
    List<PmPolicySteelType> selectList(PmPolicySteelType pmPolicySteelType);

    /**
     * 根据主键查询（可关联表）
     *
     * @param policyStId 主键
     * @return 返回值
     */
    PmPolicySteelType selectByPrimary(Long policyStId);
}
