package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPonoWtStaticGdTra;

import java.util.List;

/**
 * 炉重静态表_钢锭履历表(PmPonoWtStaticGdTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 09:41:44
 */
public interface PmPonoWtStaticGdTraRepository extends BaseRepository<PmPonoWtStaticGdTra> {
    /**
     * 查询
     *
     * @param pmPonoWtStaticGdTra 查询条件
     * @return 返回值
     */
    List<PmPonoWtStaticGdTra> selectList(PmPonoWtStaticGdTra pmPonoWtStaticGdTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmPonoWtStaticGdTra selectByPrimary(Long traId);
}
