package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPonoWtStaticTra;

import java.util.List;

/**
 * 炉重静态表履历表(PmPonoWtStaticTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 09:12:30
 */
public interface PmPonoWtStaticTraRepository extends BaseRepository<PmPonoWtStaticTra> {
    /**
     * 查询
     *
     * @param pmPonoWtStaticTra 查询条件
     * @return 返回值
     */
    List<PmPonoWtStaticTra> selectList(PmPonoWtStaticTra pmPonoWtStaticTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmPonoWtStaticTra selectByPrimary(Long traId);
}
