package com.xisc.pm.domain.repository;

import com.xisc.pm.api.dto.PmProductionLineDTO;
import com.xisc.pm.domain.entity.PmProductionLine;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 生产线表(PmProductionLine)资源库
 *
 * @author jie.yang04@hand-china.com
 * @since 2024-10-09 09:42:01
 */
public interface PmProductionLineRepository extends BaseRepository<PmProductionLine> {
    /**
     * 查询
     * @param pmProductionLineDTO 查询条件
     * @return 返回值
     */
    List<PmProductionLineDTO> selectList(Long tenantId, PmProductionLineDTO pmProductionLineDTO);


}
