package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.vo.QdToLineupResultRollingVO;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 合同处理轧钢工艺标准(QdToLineupResultRolling)资源库
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-16 08:46:48
 */
public interface PmQdToLineupResultRollingRepository extends BaseRepository<QdToLineupResultRollingVO> {
    /**
     * 查询
     *
     * @param qdToLineupResultRollingVO 查询条件
     * @return 返回值
     */
    List<QdToLineupResultRollingVO> selectList(QdToLineupResultRollingVO qdToLineupResultRollingVO);

    /**
     * 根据主键查询（可关联表）
     *
     * @param lrrId 主键
     * @return 返回值
     */
    QdToLineupResultRollingVO selectByPrimary(Long lrrId);
}
