package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmRecordPonoProc;

import java.util.List;

/**
 * 组炉过程记录表(PmRecordPonoProc)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-09-18 17:07:44
 */
public interface PmRecordPonoProcRepository extends BaseRepository<PmRecordPonoProc> {
    /**
     * 查询
     *
     * @param pmRecordPonoProc 查询条件
     * @return 返回值
     */
    List<PmRecordPonoProc> selectList(PmRecordPonoProc pmRecordPonoProc);

    /**
     * 根据主键查询（可关联表）
     *
     * @param id 主键
     * @return 返回值
     */
    PmRecordPonoProc selectByPrimary(Long id);
}
