package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmSampleReserveBtTra;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 预留试样基表-履历表(PmSampleReserveBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-12-18 16:02:16
 */
public interface PmSampleReserveBtTraRepository extends BaseRepository<PmSampleReserveBtTra> {
    /**
     * 查询
     *
     * @param pmSampleReserveBtTra 查询条件
     * @return 返回值
     */
    List<PmSampleReserveBtTra> selectList(PmSampleReserveBtTra pmSampleReserveBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmSampleReserveBtTra selectByPrimary(Long traId);
}
