package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmSdivSpecLimitBt;

import java.util.List;

/**
 * 剖分组板设备规格限制表(PmSdivSpecLimitBt)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 08:34:17
 */
public interface PmSdivSpecLimitBtRepository extends BaseRepository<PmSdivSpecLimitBt> {
    /**
     * 查询
     *
     * @param pmSdivSpecLimitBt 查询条件
     * @return 返回值
     */
    List<PmSdivSpecLimitBt> selectList(PmSdivSpecLimitBt pmSdivSpecLimitBt);

    /**
     * 根据主键查询（可关联表）
     *
     * @param psslbId 主键
     * @return 返回值
     */
    PmSdivSpecLimitBt selectByPrimary(Long psslbId);
}
