package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmSdivSpecLimitBtTra;

import java.util.List;

/**
 * 剖分组板设备规格限制表履历表(PmSdivSpecLimitBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 08:34:36
 */
public interface PmSdivSpecLimitBtTraRepository extends BaseRepository<PmSdivSpecLimitBtTra> {
    /**
     * 查询
     *
     * @param pmSdivSpecLimitBtTra 查询条件
     * @return 返回值
     */
    List<PmSdivSpecLimitBtTra> selectList(PmSdivSpecLimitBtTra pmSdivSpecLimitBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmSdivSpecLimitBtTra selectByPrimary(Long traId);
}
