package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmSdivStLimitBtTra;

import java.util.List;

/**
 * 剖分组板钢种限制表(PmSdivStLimitBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 08:15:56
 */
public interface PmSdivStLimitBtTraRepository extends BaseRepository<PmSdivStLimitBtTra> {
    /**
     * 查询
     *
     * @param pmSdivStLimitBtTra 查询条件
     * @return 返回值
     */
    List<PmSdivStLimitBtTra> selectList(PmSdivStLimitBtTra pmSdivStLimitBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmSdivStLimitBtTra selectByPrimary(Long traId);
}
