package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmSlabMethod;

import java.util.List;

/**
 * 生产线组板方式表(PmSlabMethod)资源库
 *
 * @author jie.yang04@hand-china.com
 * @since 2024-10-09 09:43:34
 */
public interface PmSlabMethodRepository extends BaseRepository<PmSlabMethod> {
    /**
     * 查询
     * @param pmSlabMethod 查询条件
     * @return 返回值
     */
    List<PmSlabMethod> selectList(PmSlabMethod pmSlabMethod);

    /**
     * 根据主键查询（可关联表）
     * @param prodLineStatsId 主键
     * @return 返回值
     */
    PmSlabMethod selectByPrimary(Long prodLineStatsId);
}
