package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmSlabScrapLenBtTra;

import java.util.List;

/**
 * 余坯组板采用判定基准表履历表(PmSlabScrapLenBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-23 14:28:57
 */
public interface PmSlabScrapLenBtTraRepository extends BaseRepository<PmSlabScrapLenBtTra> {
    /**
     * 查询
     *
     * @param pmSlabScrapLenBtTra 查询条件
     * @return 返回值
     */
    List<PmSlabScrapLenBtTra> selectList(PmSlabScrapLenBtTra pmSlabScrapLenBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmSlabScrapLenBtTra selectByPrimary(Long traId);
}
