package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmStCodeBt;

import java.util.List;

/**
 * 强度级别对照基准表(PmStCodeBt)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-26 14:15:14
 */
public interface PmStCodeBtRepository extends BaseRepository<PmStCodeBt> {
    /**
     * 查询
     *
     * @param pmStCodeBt 查询条件
     * @return 返回值
     */
    List<PmStCodeBt> selectList(PmStCodeBt pmStCodeBt);

    /**
     * 根据主键查询（可关联表）
     *
     * @param pscbId 主键
     * @return 返回值
     */
    PmStCodeBt selectByPrimary(Long pscbId);
}
