package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmStCodeBtTra;

import java.util.List;

/**
 * 强度级别对照基准表履历表(PmStCodeBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-26 14:15:34
 */
public interface PmStCodeBtTraRepository extends BaseRepository<PmStCodeBtTra> {
    /**
     * 查询
     *
     * @param pmStCodeBtTra 查询条件
     * @return 返回值
     */
    List<PmStCodeBtTra> selectList(PmStCodeBtTra pmStCodeBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmStCodeBtTra selectByPrimary(Long traId);
}
