package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmSteelCastLotItf;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 炼钢连铸制造命令LOT-接口表(PmSteelCastLotItf)资源库
 *
 * @author jie.yang04@hand-chian.com
 * @since 2024-10-15 10:30:10
 */
public interface PmSteelCastLotItfRepository extends BaseRepository<PmSteelCastLotItf> {
    /**
     * 查询
     * @param pmSteelCastLotItf 查询条件
     * @return 返回值
     */
    List<PmSteelCastLotItf> selectList(PmSteelCastLotItf pmSteelCastLotItf);

    /**
     * 根据主键查询（可关联表）
     * @param itfId 主键
     * @return 返回值
     */
    PmSteelCastLotItf selectByPrimary(Long itfId);

    /**
     * 根据浇次号查询
     *
     * @param castLotNoList
     * @param tenantId
     * @return
     */
    List<PmSteelCastLotItf> selectByCastLotNoList(List<String> castLotNoList, Long tenantId);
}
