package com.xisc.pm.domain.repository;

import com.xisc.pm.api.dto.PmSubHisRequestDTO;
import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmSubHis;

import java.util.List;

/**
 * 自动替代履历表(PmSubHis)资源库
 *
 * @author BKGY
 * @since 2024-12-26 09:57:36
 */
public interface PmSubHisRepository extends BaseRepository<PmSubHis> {
    /**
     * 查询
     *
     * @param pmSubHisRequestDTO 查询条件
     * @return 返回值
     */
    List<PmSubHis> selectList(PmSubHisRequestDTO pmSubHisRequestDTO);

    /**
     * 根据主键查询（可关联表）
     *
     * @param id 主键
     * @return 返回值
     */
    PmSubHis selectByPrimary(Long id);
}
