package com.xisc.pm.domain.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 二级接口 接口  XBLG59 vo
 *
 * @author 汉得-杨杰
 * @date 2024/10/15
 */
@Data
public class InterfaceXBLG59VO {

    @ApiModelProperty(value = "主工序代码")
    @JsonProperty("MAIN_BACKLOG_CODE")
    private String mainBacklogCode;

    @ApiModelProperty(value = "LOT命令号")
    @JsonProperty("LOT_PO_NO")
    private String pono;

    @ApiModelProperty(value = "流号")
    @JsonProperty("STRAND_NO")
    private String strandNo;

    @ApiModelProperty(value = "流内板坯块数")
    @JsonProperty("FLOW_SLAB_NUM")
    private String flowSlabNum;

    @ApiModelProperty(value = "板坯厚度")
    @JsonProperty("SLAB_THICK")
    private BigDecimal slabThick;

    @ApiModelProperty(value = "板坯宽度")
    @JsonProperty("SLAB_WIDTH")
    private BigDecimal slabWidth;

    @ApiModelProperty(value = "调宽次数")
    @JsonProperty("ADJUST_WIDTH_NUM")
    private Long adjustWidthNum;

    @ApiModelProperty(value = "请求外板坯长度")
    @JsonProperty("UNAPP_SLAB_LEN")
    private Long unappSlabLen;

    @ApiModelProperty(value = "请求外板坯长度上限")
    @JsonProperty("UNAPP_SLAB_LEN_MAX")
    private Long unappSlabLenMax;

    @ApiModelProperty(value = "请求外板坯长度下限")
    @JsonProperty("UNAPP_SLAB_LEN_MIN")
    private Long unappSlabLenMin;

}
