package com.xisc.pm.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class MmAutoHeatPlanVO {
    @ApiModelProperty(value = "命令板坯号")
    private String ponoSlabNo;
    @ApiModelProperty(value = "轴合同号")
    private String orderNoAxis;
    @ApiModelProperty(value = "装钢方式")
    private String hotChargeFlag;
    @ApiModelProperty(value = "合同性质代码")
    private String orderTypeCode;
    @ApiModelProperty(value = "订货厚度")
    private BigDecimal orderThick;
    @ApiModelProperty(value = "订货宽度")
    private BigDecimal orderWidth;
    @ApiModelProperty(value = "订货长度")
    private BigDecimal orderLen;
    @ApiModelProperty(value = "连铸机类型 -- 1，2，4")
    private String ccMachType;

}