package com.xisc.pm.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


@Data
@ApiModel("复合/叠轧坯分张命令表")
public class PmCompositeSlabDivVO implements Serializable {

    private static final long serialVersionUID = -8567276143914608801L;

    @ApiModelProperty("表ID，主键")
    private Long divId;
    @ApiModelProperty(value = "复合命令板坯号")
    private String ponoSlab;
    @ApiModelProperty(value = "分张命令板坯号")
    private String aimPonoSlab;
    @ApiModelProperty(value = "位置(从下至上依次为1,2,3…)")
    private Long layerNo;

}
