package com.xisc.pm.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;


/**
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-16 08:46:47
 */
@Data
public class QdToLineupResultHeatVO implements Serializable {
    private static final long serialVersionUID = 438152858808960264L;

    @ApiModelProperty(value = "合同号")
    private String orderNo;

    @ApiModelProperty(value = "产线号")
    private String mscLineNo;

    @ApiModelProperty(value = "装炉温度")
    private BigDecimal loadFurTemp;

    @ApiModelProperty(value = "出炉温度")
    private BigDecimal heatTemp;

    @ApiModelProperty(value = "第一阶段厚度")
    private BigDecimal firstThick;

    @ApiModelProperty(value = "第一阶段开始温度")
    private BigDecimal firstBgTemp;

    @ApiModelProperty(value = "第一阶段结束温度")
    private BigDecimal firstEndTemp;

}
