package com.xisc.pm.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Id;
import java.io.Serializable;


/**
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-16 08:36:51
 */

@Data
public class QdToLineupResultHeattreatVO implements Serializable {
    private static final long serialVersionUID = -71508502132997273L;

    @ApiModelProperty("表ID，主键")
    @Id
    private Long lrhId;

    @ApiModelProperty(value = "合同号")
    private String orderNo;

    @ApiModelProperty(value = "全程工序途径码顺序号")
    private Long wholeBacklogNo;

    @ApiModelProperty(value = "全程工序途径码")
    private String wholeBacklog;

    @ApiModelProperty(value = "产线号")
    private String mscLineNo;

    @ApiModelProperty(value = "全程工序代码")
    private String wholeBacklogCode;

    @ApiModelProperty(value = "全程工序顺序号")
    private Long wholeBacklogSeq;

    @ApiModelProperty(value = "全程热处理类型")
    private String wholeHeatTreatmentType;

    @ApiModelProperty(value = "热处理类型序号")
    private Long heatTreatmentSeq;

    @ApiModelProperty(value = "热处理类型")
    private String heatTreatmentType;

    @ApiModelProperty(value = "热处理炉编号")
    private String furnaceNum;

    @ApiModelProperty(value = "升温速率工艺参数")
    private String heatRate;

    @ApiModelProperty(value = "升温速率目标值")
    private String heatRateAim;

    @ApiModelProperty(value = "出炉温度下限")
    private String tapTempMin;

    @ApiModelProperty(value = "出炉温度上限")
    private String tapTempMax;

    @ApiModelProperty(value = "出炉温度目标值")
    private String tapTempAim;

    @ApiModelProperty(value = "保温时间下限")
    private String keepWarmMin;

    @ApiModelProperty(value = "保温时间上限")
    private String keepWarmMax;

    @ApiModelProperty(value = "保温时间目标值")
    private String keepWarmAim;

    @ApiModelProperty(value = "冷却方式")
    private String coolMode;

    @ApiModelProperty(value = "返红温度下限")
    private String rednessTempMin;

    @ApiModelProperty(value = "返红温度上限")
    private String rednessTempMax;

    @ApiModelProperty(value = "返红温度目标值")
    private String rednessTempAim;

    @ApiModelProperty(value = "堆冷要求")
    private String pileCoolReq;

    @ApiModelProperty(value = "技术文件（控制计划）")
    private String technicalDoc;

    @ApiModelProperty(value = "版次")
    private Long modifyVersion;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "是否抛丸")
    private String shotHt;

    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
}
