package com.xisc.pm.infra.mapper;

import com.xisc.pm.domain.entity.PmContractLineSpec;
import io.choerodon.mybatis.common.BaseMapper;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * 合同指定产线断面表(PmContractLineSpec)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-12 09:37:25
 */
public interface PmContractLineSpecMapper extends BaseMapper<PmContractLineSpec> {
    /**
     * 基础查询
     *
     * @param pmContractLineSpec 查询条件
     * @return 返回值
     */
    List<PmContractLineSpec> selectList(PmContractLineSpec pmContractLineSpec);

    List<PmContractLineSpec> queryList(@Param(value = "orderNoList") List<String> orderNoList, @Param(value = "tenantId")Long tenantId);
}

