package com.xisc.pm.infra.mapper;

import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmHeatTreatFurnaceBt;

import java.util.List;

/**
 * 热处理炉基准规格表(PmHeatTreatFurnaceBt)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 12:24:42
 */
public interface PmHeatTreatFurnaceBtMapper extends BaseMapper<PmHeatTreatFurnaceBt> {
    /**
     * 基础查询
     *
     * @param pmHeatTreatFurnaceBt 查询条件
     * @return 返回值
     */
    List<PmHeatTreatFurnaceBt> selectList(PmHeatTreatFurnaceBt pmHeatTreatFurnaceBt);
}

