package com.xisc.pm.infra.mapper;

import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmHotConfigTra;

import java.util.List;

/**
 * 组炉默认热处理去向配置表履历表(PmHotConfigTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 10:19:24
 */
public interface PmHotConfigTraMapper extends BaseMapper<PmHotConfigTra> {
    /**
     * 基础查询
     *
     * @param pmHotConfigTra 查询条件
     * @return 返回值
     */
    List<PmHotConfigTra> selectList(PmHotConfigTra pmHotConfigTra);
}

