package com.xisc.pm.infra.mapper;

import com.xisc.pm.api.dto.PmIrsubableContRequestDTO;
import com.xisc.pm.api.dto.export.PmIrsubableContDTO;
import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmIrsubableCont;

import java.util.List;

/**
 * 不可替代订单表(PmIrsubableCont)应用服务
 *
 * @author BKGY
 * @since 2024-12-16 15:44:39
 */
public interface PmIrsubableContMapper extends BaseMapper<PmIrsubableCont> {
    /**
     * 基础查询
     *
     * @param pmIrsubableCont 查询条件
     * @return 返回值
     */
    List<PmIrsubableCont> selectList(PmIrsubableContRequestDTO pmIrsubableCont);

    List<PmIrsubableContDTO> exportList(PmIrsubableContRequestDTO pmIrsubableCont);

    List<PmIrsubableCont> querySaveList(List<String> orderNoList, Long tenantId);

    List<PmIrsubableCont> checkList(List<String> orderNoList);
}

