package com.xisc.pm.infra.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.xisc.pm.domain.entity.PmPdPlateCut;
import io.choerodon.mybatis.common.BaseMapper;

/**
 * 大板粗切位置表Mapper
 *
 * @author 曾俊 jun.zeng@hand-china.com 2024-08-02 08:02:38
 */
public interface PmPdPlateCutMapper extends BaseMapper<PmPdPlateCut> {

    /**
     * 通过MatNo删除
     * @param tenantId
     * @param removePdMatNo
     */
    int deleteByMatNo(@Param("tenantId") Long tenantId, @Param("removePdMatNo") List<String> removePdMatNo);

}
