package com.xisc.pm.infra.mapper;

import com.xisc.pm.domain.entity.PmPolicyGrKpi;
import io.choerodon.mybatis.common.BaseMapper;

import java.util.List;

/**
 * 策略组与评价指标关系表(PmPolicyGrKpi)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-08 12:29:11
 */
public interface PmPolicyGrKpiMapper extends BaseMapper<PmPolicyGrKpi> {
    /**
     * 基础查询
     *
     * @param pmPolicyGrKpi 查询条件
     * @return 返回值
     */
    List<PmPolicyGrKpi> selectList(PmPolicyGrKpi pmPolicyGrKpi);
}

