package com.xisc.pm.infra.mapper;

import com.xisc.pm.domain.entity.PmPolicyGrOrder;
import io.choerodon.mybatis.common.BaseMapper;

import java.util.List;

/**
 * 策略组与合同分组表(PmPolictGrOrder)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-08 12:28:51
 */
public interface PmPolicyGrOrderMapper extends BaseMapper<PmPolicyGrOrder> {
    /**
     * 基础查询
     *
     * @param pmPolicyGrOrder 查询条件
     * @return 返回值
     */
    List<PmPolicyGrOrder> selectList(PmPolicyGrOrder pmPolicyGrOrder);
}

