package com.xisc.pm.infra.mapper;

import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmPolicyKpi;

import java.util.List;

/**
 * 策略信息与评价指标关系表(PmPolicyKpi)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-16 10:44:41
 */
public interface PmPolicyKpiMapper extends BaseMapper<PmPolicyKpi> {
    /**
     * 基础查询
     *
     * @param pmPolicyKpi 查询条件
     * @return 返回值
     */
    List<PmPolicyKpi> selectList(PmPolicyKpi pmPolicyKpi);
}

