package com.xisc.pm.infra.mapper;

import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmPolicySection;

import java.util.List;

/**
 * 策略信息与断面关系表(PmPolicySection)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-16 10:46:26
 */
public interface PmPolicySectionMapper extends BaseMapper<PmPolicySection> {
    /**
     * 基础查询
     *
     * @param pmPolicySection 查询条件
     * @return 返回值
     */
    List<PmPolicySection> selectList(PmPolicySection pmPolicySection);
}

