package com.xisc.pm.infra.mapper;

import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmPolicySlabMethod;

import java.util.List;

/**
 * 策略信息与组板方式关系表(PmPolicySlabMethod)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-16 10:46:56
 */
public interface PmPolicySlabMethodMapper extends BaseMapper<PmPolicySlabMethod> {
    /**
     * 基础查询
     *
     * @param pmPolicySlabMethod 查询条件
     * @return 返回值
     */
    List<PmPolicySlabMethod> selectList(PmPolicySlabMethod pmPolicySlabMethod);
}

