package com.xisc.pm.infra.mapper;

import io.choerodon.mybatis.common.BaseMapper;

import com.xisc.pm.app.service.autoboard.dto.PmPolicyStDTO;
import com.xisc.pm.domain.entity.PmPolicySteelGroup;

import java.util.List;

import org.apache.ibatis.annotations.Param;

/**
 * 策略信息与钢种组关系表(PmPolicySteelGroup)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-16 10:47:22
 */
public interface PmPolicySteelGroupMapper extends BaseMapper<PmPolicySteelGroup> {
    /**
     * 基础查询
     *
     * @param pmPolicySteelGroup 查询条件
     * @return 返回值
     */
    List<PmPolicySteelGroup> selectList(PmPolicySteelGroup pmPolicySteelGroup);
    
    
    List<PmPolicyStDTO> selectStNoList(@Param("policyIdList") List<Long> policyIdList , @Param("tenantId") Long tenantId);
}

