package com.xisc.pm.infra.mapper;

import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmSdivSpecLimitBt;

import java.util.List;

/**
 * 剖分组板设备规格限制表(PmSdivSpecLimitBt)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 08:34:17
 */
public interface PmSdivSpecLimitBtMapper extends BaseMapper<PmSdivSpecLimitBt> {
    /**
     * 基础查询
     *
     * @param pmSdivSpecLimitBt 查询条件
     * @return 返回值
     */
    List<PmSdivSpecLimitBt> selectList(PmSdivSpecLimitBt pmSdivSpecLimitBt);
}

