package com.xisc.pm.infra.mapper;

import com.xisc.pm.domain.entity.PmSlabEstaPlan;
import com.xisc.pm.domain.vo.QeTqSampleGenVO;
import io.choerodon.mybatis.common.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 组炉编制表(PmSlabEstaPlan)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-09 16:31:16
 */
public interface PmSlabEstaPlanMapper extends BaseMapper<PmSlabEstaPlan> {
    /**
     * 基础查询
     *
     * @param pmSlabEstaPlan 查询条件
     * @return 返回值
     */
    List<PmSlabEstaPlan> selectList(PmSlabEstaPlan pmSlabEstaPlan);

    List<QeTqSampleGenVO> selectResvCode(@Param(value = "tmpSlabNoList")List<String> tmpSlabNoList,
                                         @Param(value = "tenantId")Long tenantId);
}

