package com.xisc.pm.infra.mapper;

import com.xisc.pm.domain.entity.PmSlabSpecBt;
import io.choerodon.mybatis.common.BaseMapper;

import java.util.List;

/**
 * 连铸板坯生产规格基准表(PmSlabSpecBt)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-23 08:24:43
 */
public interface PmSlabSpecBtMapper extends BaseMapper<PmSlabSpecBt> {
    /**
     * 基础查询
     *
     * @param pmSlabSpecBt 查询条件
     * @return 返回值
     */
    List<PmSlabSpecBt> selectList(PmSlabSpecBt pmSlabSpecBt);
}

