package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/27 10:53
 */
@Data
public class BoardLayoutItemDTO implements Serializable {
    private static final long serialVersionUID = -4939689889892398626L;

    @ApiModelProperty("合同号")
    private String orderNo;

    @ApiModelProperty(value = "轴合同号")
    private String orderNoAxis;

    @ApiModelProperty("合同顺序号")
    private Long orderSeqNo;

    @ApiModelProperty("厚板组板块号")
    private Long orderBlockNo;

    @ApiModelProperty("子板小板块数")
    private BigDecimal blockPlateNum;

    private String virtualSlabNo ;
}
