package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class FurnaceNumDeterminationEventDTO {

    @ApiModelProperty(value = "材料号（子板号）")
    private String matNo;

    @ApiModelProperty(value = "产品标记（0子板/组合板1/板坯2/钢锭3/复合板4/叠轧板5）如果产品标记是2、3、4、5")
    private Long ppFlag;

    @ApiModelProperty(value = "是否有效(1有效/0无效)")
    private Long enableFlag;

    @ApiModelProperty("厚板组板状态")
    private String pdMatStatus;

    @ApiModelProperty("连铸预编制状态")
    private String csPrecPlanStatus;

    @ApiModelProperty("全程工序代码")
    private String wholeBacklogCode;

}
