package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 */
@Data
public class FurnaceNumberDeterminationDTO {

    @ApiModelProperty("制造命令号")
    private String pono;

    @ApiModelProperty("已产出板坯的命令板坯号")
    private List<String> precSlabNoList;

    @ApiModelProperty("板坯号")
    private List<String> slabNoList;

    @ApiModelProperty("厂别")
    private String mainBacklogCode;

    @ApiModelProperty("决定内部钢种")
    private String dectStNo;

    @ApiModelProperty("炉次确定标记")
    private String heatComfmFlag;

    @ApiModelProperty("炉次等级")
    private String heatGrade;

    @ApiModelProperty("质量使用标记")
    private String flag;

    @ApiModelProperty("炉次确定时刻")
    private Date heatConfmTime;
}
