package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2024/12/11 13:29
 * @description
 */
@Data
public class PmCmdRecordDTO implements Serializable {
    private static final long serialVersionUID = -7328801371096915312L;

    @ApiModelProperty(value = "制造命令号上限")
    private String ponoUpperLimit;

    @ApiModelProperty(value = "制造命令号下限")
    private String ponoLowerLimit;

    @ApiModelProperty(value = "虚拟板坯号")
    private String virtualSlabNo;

    @ApiModelProperty(value = "钢板号")
    private String plateNo;

    @ApiModelProperty(value = "临时命令板坯号")
    private String tmpSlabNo;
}
