package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/2 8:34
 */

@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmCompositeSlabDTO implements Serializable {
    private static final long serialVersionUID = 6627084526893348322L;

    @ApiModelProperty("主键id")
    private Long slabId;

    @ApiModelProperty("复合类型")
    private String slabType;

    @ApiModelProperty("目的库区id")
    private Long stockCodeId;

    @ApiModelProperty("目的库区")
    private String stockCode;

    @ApiModelProperty("库区产线")
    private String stockLine;

    @ApiModelProperty("轧制产线号")
    private String mscLineNo;

    @ApiModelProperty("加工厂代码")
    private String factoryCode;

    @ApiModelProperty("加工厂名称")
    private String factoryName;

    @ApiModelProperty("明细数据")
    private List<PmCompositeSlabListDTO> lineList;
}
