package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2024/11/6 9:51
 * @description
 */
@Data
public class PmPdBlockPosDTO implements Serializable {
    private static final long serialVersionUID = -72559301246789307L;

    @ApiModelProperty("合同号")
    private String orderNo;

    @ApiModelProperty("合同顺序号")
    private Long orderSeqNo;

    @ApiModelProperty("厚板组板块号")
    private Long orderBlockNo;

    @ApiModelProperty("子板小板块数")
    private BigDecimal blockPlateNum;

    @ApiModelProperty(value = "组板方式")
    private String formPlateMode;

    @ApiModelProperty(value = "订货厚度")
    private BigDecimal orderThick;

    @ApiModelProperty(value = "订货宽度")
    private BigDecimal orderWidth;

    @ApiModelProperty(value = "订货长度")
    private BigDecimal orderLen;
}
