package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Map;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/6 10:39
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmPdCcSlabLengthDTO implements Serializable {
    private static final long serialVersionUID = 5725731491652355187L;

    @ApiModelProperty("长度起")
    private BigDecimal slabLengthFrom;

    @ApiModelProperty("长度至")
    private BigDecimal slabLengthTo;

    @ApiModelProperty("钢种对应板坯总重量")
    private Map<String, BigDecimal> slabTotalWtMap;
}
