package com.xisc.pm.api.dto;

import java.io.Serializable;

import com.xisc.pm.domain.entity.PmContMscTech;
import com.xisc.pm.domain.entity.PmProCont;
import com.xisc.pm.domain.entity.PmProContProdTtr;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 组板履历事件DTO
 * @author jun.zeng
 *
 */
@Data
public class PmPdEventResDTO implements Serializable {
    
    private static final long serialVersionUID = -4065988920331613333L;

    @ApiModelProperty("待更新的生产工艺信息")
    private PmContMscTech contMscTech ;
    
    @ApiModelProperty("待更新的生产合同")
    private PmProCont proConts ;
    
    @ApiModelProperty("待更新的生产合同属性")
    private PmProContProdTtr contProdTtr;

    public PmPdEventResDTO(PmContMscTech contMscTech, PmProCont proConts, PmProContProdTtr contProdTtr) {
        super();
        this.contMscTech = contMscTech;
        this.proConts = proConts;
        this.contProdTtr = contProdTtr;
    }
    
    public PmPdEventResDTO() {
    }

}
