package com.xisc.pm.api.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 组板产线变更接口
 * @author jun.zeng
 *
 */
@Data
public class PmPdMscLineChangeDTO implements Serializable {

    private static final long serialVersionUID = -7586969413864056446L;
    
    @ApiModelProperty("材料号")
    private String matNo ;
    
    @ApiModelProperty("去向产线号")
    private String mscLineNo ;
    
    @ApiModelProperty("命令板坯号")
    private String ponoSlabNo ;
    
    @ApiModelProperty("租户ID")
    private Long tenantId;
     
}
