package com.xisc.pm.api.dto;

import java.io.Serializable;
import java.util.Set;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 组板板坯分割信息
 * 
 * @author jun.zeng
 *
 */
@Data
public class PmPdSlabSplitRequestDTO implements Serializable {
    
    private static final long serialVersionUID = 1497504776674434902L;
    
    @ApiModelProperty("板坯Id")
    private Long slabId ;
    
    @ApiModelProperty("板坯号")
    private String slabNo ;
    
    @ApiModelProperty("产线号")
    private String mscLineNo ;
    
    @ApiModelProperty("租户ID")
    private Long tenantId;
    
    @ApiModelProperty("待删除的分割信息表主键")
    private Set<Long> removePdSlabIdList ;
    
}