package com.xisc.pm.api.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 组板配置信息
 * @author jun.zeng
 *
 */
@Data
public class PmPlateConfigDTO implements Serializable {
    
    private static final long serialVersionUID = 16018071815404938L;

    @ApiModelProperty(value = "组合板宽度起", required = true)
    private BigDecimal combinePlateWidthFrom;

    @ApiModelProperty(value = "组合板宽度止", required = true)
    private BigDecimal combinePlateWidthTo;

    @ApiModelProperty(value = "组合板长度下限 ", required = true)
    private BigDecimal combinePlateLenMin;

    @ApiModelProperty(value = "组合板长度上限", required = true)
    private BigDecimal combinePlateLenMax;

    @ApiModelProperty(value = "最大粗切", required = true)
    private BigDecimal cutMax ;
    
    @ApiModelProperty(value = "最大粗切", required = true)
    private BigDecimal cutMin ;
    
}
