package com.xisc.pm.api.dto;

import com.xisc.pm.domain.entity.PmPolicyGrKpi;
import com.xisc.pm.domain.entity.PmPolicyGrOrder;
import com.xisc.pm.domain.entity.PmPolicyGroup;
import com.xisc.pm.domain.entity.PmPolicyGroupAttr;
import com.xisc.pm.domain.entity.PmPolicyGroupRel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2024/11/8 15:05
 * @description
 */
@Data
public class PmPolicyGroupResDTO implements Serializable {
    private static final long serialVersionUID = 4147427722600703637L;

    @ApiModelProperty(value = "策略组数据")
    private PmPolicyGroup pmPolicyGroup;

    @ApiModelProperty(value = "合同分组")
    private  List<PmPolicyGrOrder> pmPolicyGrOrderList;

    @ApiModelProperty(value = "评价指标")
    private List<PmPolicyGrKpi> pmPolicyGrKpiList;

    @ApiModelProperty(value = "执行策略")
    private List<PmPolicyGroupRel> pmPolicyGroupRelList;

    @ApiModelProperty(value = "尾量")
    private List<PmPolicyGroupAttr> pmPolicyGroupAttrList;

}
