package com.xisc.pm.api.dto;

import com.xisc.pm.domain.entity.PmPolicySection;
import com.xisc.pm.domain.entity.PmPolicySlabMethod;
import com.xisc.pm.domain.entity.PmPolicyVip;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2024/10/16 15:59
 * @description
 */
@Data
public class PmPolicyResDTO implements Serializable {
    private static final long serialVersionUID = -8894904675655957176L;

    @ApiModelProperty("组板方式")
    private List<PmPolicySlabMethod> pmPolicySlabMethodList;

    @ApiModelProperty("重要客户")
    private List<PmPolicyVip> pmPolicyVipList;

    @ApiModelProperty("指定断面")
    private List<PmPolicySection> pmPolicySectionList;
}
