package com.xisc.pm.api.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @author 曾俊 jun.zeng@hand-china.com 2024-07-29 15:50:20
 *
 */
@Data
@ApiModel("生产合同轴合同与非轴合同选择接口参数DTO")
public class PmProContSelectionDTO implements Serializable {
    
    private static final long serialVersionUID = 6375930919632127712L;

    @ApiModelProperty("租户ID")
    private Long tenantId ;
    
    @ApiModelProperty("合同编码")
    private String orderNo ;
    
    @ApiModelProperty("选中合同标记,false-非选中，true-选中")
    private Boolean selectFlag ;
    
    @ApiModelProperty("轴合同标记,false-非轴，true-轴")
    private Boolean axisFlag ;
    
    @ApiModelProperty("合同C03检查结果,false-校验未通过，true-校验通过")
    private Boolean checkFlag ;
    
    @ApiModelProperty("合同C03检查结果,校验未通过原因")
    private String checkMsg ;
    
}
