package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/10/10 16:26
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmRollingWasteCompositeDTO implements Serializable {
    private static final long serialVersionUID = 1248196103947620771L;

    @ApiModelProperty(value = "轧废的复合坯ID")
    private Long slabId;

    @ApiModelProperty(value = "复合坯状态代码")
    private String statusCode;

    @ApiModelProperty(value = "返修标志")
    private String correctionFlag;


}
