package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Map;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/10/14 9:23
 */
@Data
public class PmRuntimeContractLengthDTO implements Serializable {
    private static final long serialVersionUID = -4523383194377583165L;

    @ApiModelProperty("长度起")
    private BigDecimal lengthFrom;

    @ApiModelProperty("长度至")
    private BigDecimal lengthTo;

    @ApiModelProperty("钢种对应合同总重量")
    private Map<String, BigDecimal> orderTotalWtMap;

}
