package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/10/12 16:22
 */
@Data
public class PmRuntimeContractReqDTO implements Serializable {
    private static final long serialVersionUID = 1388102794378843830L;


    @ApiModelProperty(value = "内部钢种")
    private List<String> stNoList;

    @ApiModelProperty(value = "设计产线号")
    private List<String> designProdLineCodeList;


    @ApiModelProperty(value = "钢种组编码")
    private List<String> steelGroupCodeList;

    @ApiModelProperty(value = "交货日期起")
    private Date delivyDateFrom;

    @ApiModelProperty(value = "交货日期至")
    private Date delivyDateTo;

    @ApiModelProperty(value = "订货用户中文名")
    private String orderCustCname;

    @ApiModelProperty(value = "收货用户中文名")
    private String consignCustCname;

    @ApiModelProperty(value = "标准牌号")
    private String sgSign;

    @ApiModelProperty(value = "产销合同号")
    private String orderNoErp;

    @ApiModelProperty(value = "按长度(Y/N)")
    private String isLenth;
}
