package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/10/13 15:19
 */
@Data
public class PmRuntimeContractResDTO implements Serializable {
    private static final long serialVersionUID = -2643921708100279522L;

    @ApiModelProperty(value = "内部钢种")
    private List<String> stNoList;

    @ApiModelProperty("厚度")
    private List<PmRuntimeContractThickDTO> thickList;
}