package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/9 10:14
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmSlabPoolInOrderDTO implements Serializable {
    private static final long serialVersionUID = 5326203838253837564L;

    @ApiModelProperty("虚拟板坯号")
    private String virtualSlabNo;

    @ApiModelProperty("轴合同号")
    private String orderNo;

    @ApiModelProperty("额定板坯重量")
    private BigDecimal nomSlabWt;

}
