package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/9 14:42
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmSlabPoolInPreDTO implements Serializable {

    private static final long serialVersionUID = -8177804548734796470L;

    @ApiModelProperty("目标炉重")
    private BigDecimal aimInitWt;

    @ApiModelProperty("炉重正公差")
    private BigDecimal ponoWtPlus;

    @ApiModelProperty("炉重负公差")
    private BigDecimal ponoWtMinus;

    @ApiModelProperty("炉数")
    private BigDecimal ccNum;

    @ApiModelProperty("每一炉信息")
    private List<PmSlabPoolInFurnaceDTO> furnaceList;

    @ApiModelProperty("钢锭型")
    private String ignotType;
}
