package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/10/12 17:16
 */
@Data
public class PmSpecTableColumnRangeDTO implements Serializable {
    private static final long serialVersionUID = -7731226891386507225L;

    @ApiModelProperty(value = "范围起")
    private BigDecimal from;

    @ApiModelProperty(value = "范围止")
    private BigDecimal to;
}

