package com.xisc.pm.api.dto;

import com.xisc.pm.domain.entity.PmSteelCastHeat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/19 9:30
 */
@Data
public class PmSteelCastHeatReqParamDTO implements Serializable {
    private static final long serialVersionUID = 4835243475987821273L;

    @ApiModelProperty("连铸机号")
    private String ccMachNo;

    @ApiModelProperty("计划日期")
    private Date planDate;

    @ApiModelProperty(value = "主工序代码")
    private String mainBacklogCode;

    @ApiModelProperty(value = "基准Lot号")
    private String basicLot;

    @ApiModelProperty(value = "操作Lot号")
    private String operationLot;

    @ApiModelProperty("解散到组矩(N)、解散到组板(Y)")
    private String isBoard;

    @ApiModelProperty("下发时间")
    private Date sendTime;

    private List<PmSteelCastHeat> pmSteelCastHeatList;

    @ApiModelProperty("是否是接口的下达")
    private String isInterface;
}
