package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author BKGY  MYT
 */
@Data
@ApiModel("自动组板履历返回参数DTO")
public class PmSubHisResponseDTO {

    @ApiModelProperty(value = "组板时间")
    private String subTime;

    @ApiModelProperty(value = "成材率")
    private BigDecimal subYield;

    @ApiModelProperty(value = "块数")
    private Long subNum;

    @ApiModelProperty(value = "吨数")
    private BigDecimal subWt;
}
