package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmCmdCont;

import java.util.List;

/**
 * 命令参数表(PmCmdCont)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-01 10:25:08
 */
public interface PmCmdContService {

    /**
     * 查询数据
     *
     * @param pageRequest 分页参数
     * @param pmCmdConts  查询条件
     * @return 返回值
     */
    Page<PmCmdCont> selectList(PageRequest pageRequest, PmCmdCont pmCmdConts);

    /**
     * 保存数据
     *
     * @param pmCmdConts 数据
     */
    void saveData(List<PmCmdCont> pmCmdConts);

}

