package com.xisc.pm.app.service;

import com.xisc.pm.domain.entity.PmIngotCutLenBt;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * 钢锭切缝量基准表(PmIngotCutLenBt)应用服务
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-09-05 15:18:17
 */
public interface PmIngotCutLenBtService {

    /**
     * 查询数据
     *
     * @param pageRequest      分页参数
     * @param pmIngotCutLenBt 查询条件
     * @return 返回值
     */
    Page<PmIngotCutLenBt> selectList(PageRequest pageRequest, PmIngotCutLenBt pmIngotCutLenBt);

    /**
     * 保存数据
     *
     * @param pmIngotCutLenBtList 数据
     */
    void saveData(Long tenantId, List<PmIngotCutLenBt> pmIngotCutLenBtList);

    /**
     * 删除
     *
     * @param pmIngotCutLenBtList 数据
     */
    void deleteForUi(List<PmIngotCutLenBt> pmIngotCutLenBtList);
}

