package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmIngotCutLenBtTra;

import java.util.List;

/**
 * 钢锭切缝量基准表履历表(PmIgnotCutLenBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 15:55:25
 */
public interface PmIngotCutLenBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest         分页参数
     * @param pmIngotCutLenBtTras 查询条件
     * @return 返回值
     */
    Page<PmIngotCutLenBtTra> selectList(PageRequest pageRequest, PmIngotCutLenBtTra pmIngotCutLenBtTras);

    /**
     * 保存数据
     *
     * @param pmIngotCutLenBtTras 数据
     */
    void saveData(List<PmIngotCutLenBtTra> pmIngotCutLenBtTras);

}

