package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmIngotTypeBtTra;

import java.util.List;

/**
 * 锭坯型基表履历表(PmIngotTypeBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-29 14:54:29
 */
public interface PmIngotTypeBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest       分页参数
     * @param pmIngotTypeBtTras 查询条件
     * @return 返回值
     */
    Page<PmIngotTypeBtTra> selectList(PageRequest pageRequest, PmIngotTypeBtTra pmIngotTypeBtTras);

    /**
     * 保存数据
     *
     * @param pmIngotTypeBtTras 数据
     */
    void saveData(List<PmIngotTypeBtTra> pmIngotTypeBtTras);

}

