package com.xisc.pm.app.service;

import com.xisc.pm.api.dto.PmIrsubableContRequestDTO;
import com.xisc.pm.api.dto.export.PmIrsubableContDTO;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmIrsubableCont;

import java.util.List;

/**
 * 不可替代订单表(PmIrsubableCont)应用服务
 *
 * @author BKGY
 * @since 2024-12-16 15:44:40
 */
public interface PmIrsubableContService {

    /**
     * 查询数据
     *
     * @param pageRequest      分页参数
     * @param pmIrsubableConts 查询条件
     * @return 返回值
     */
    Page<PmIrsubableCont> selectList(PageRequest pageRequest, PmIrsubableContRequestDTO pmIrsubableConts);

    /**
     * 保存数据
     *
     * @param pmIrsubableConts 数据
     */
    void saveData(Long tenantId,List<PmIrsubableCont> pmIrsubableConts);

    List<PmIrsubableContDTO> exportList(Long organizationId, PmIrsubableContRequestDTO pmIrsubableCont);
}

