package com.xisc.pm.app.service;

import com.xisc.pm.domain.entity.PmSteelCastFlowItf;
import com.xisc.pm.domain.entity.PmSteelCastHeatItf;
import com.xisc.pm.domain.entity.PmSteelCastLotItf;
import com.xisc.pm.domain.entity.PmSteelCastSlabItf;

import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2024/12/5 17:52
 * @description
 */
public interface PmMeterJobService {
    /**
     * 更新接口状态
     *
     * @param pmSteelCastSlabItfList
     * @param pmSteelCastLotItfList
     * @param pmSteelCastHeatItfList
     * @param pmSteelCastFlowItfList
     * @param itfStatus
     * @param iftMessage
     */
    void updateItfToProcess(List<PmSteelCastSlabItf> pmSteelCastSlabItfList, List<PmSteelCastLotItf> pmSteelCastLotItfList,
                            List<PmSteelCastHeatItf> pmSteelCastHeatItfList, List<PmSteelCastFlowItf> pmSteelCastFlowItfList, String itfStatus,
                            String iftMessage);

    /**
     * 同步数据到业务表
     *
     * @param pmSteelCastSlabItfList
     * @param pmSteelCastLotItfList
     * @param pmSteelCastHeatItfList
     * @param pmSteelCastFlowItfList
     */
    void syncToSteelCast(List<PmSteelCastSlabItf> pmSteelCastSlabItfList, List<PmSteelCastLotItf> pmSteelCastLotItfList,
                         List<PmSteelCastHeatItf> pmSteelCastHeatItfList, List<PmSteelCastFlowItf> pmSteelCastFlowItfList, Long tenantId);
}
