package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmMidSlabAddvBtTra;

import java.util.List;

/**
 * 中间坯加量基准表-履历表(PmMidSlabAddvBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-09-18 18:31:44
 */
public interface PmMidSlabAddvBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest         分页参数
     * @param pmMidSlabAddvBtTras 查询条件
     * @return 返回值
     */
    Page<PmMidSlabAddvBtTra> selectList(PageRequest pageRequest, PmMidSlabAddvBtTra pmMidSlabAddvBtTras);

    /**
     * 保存数据
     *
     * @param pmMidSlabAddvBtTras 数据
     */
    void saveData(List<PmMidSlabAddvBtTra> pmMidSlabAddvBtTras);

}

