package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmMinThickTolBtTra;

import java.util.List;

/**
 * 最小轧制厚度公差范围基准表(PmMinThickTolBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-23 11:11:58
 */
public interface PmMinThickTolBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest         分页参数
     * @param pmMinThickTolBtTras 查询条件
     * @return 返回值
     */
    Page<PmMinThickTolBtTra> selectList(PageRequest pageRequest, PmMinThickTolBtTra pmMinThickTolBtTras);

    /**
     * 保存数据
     *
     * @param pmMinThickTolBtTras 数据
     */
    void saveData(List<PmMinThickTolBtTra> pmMinThickTolBtTras);

}

