package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmPlateCutLenBtTra;

import java.util.List;

/**
 * 钢板切缝切头尾范围基准表履历表(PmPlateCutLenBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 09:27:03
 */
public interface PmPlateCutLenBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest         分页参数
     * @param pmPlateCutLenBtTras 查询条件
     * @return 返回值
     */
    Page<PmPlateCutLenBtTra> selectList(PageRequest pageRequest, PmPlateCutLenBtTra pmPlateCutLenBtTras);

    /**
     * 保存数据
     *
     * @param pmPlateCutLenBtTras 数据
     */
    void saveData(List<PmPlateCutLenBtTra> pmPlateCutLenBtTras);

}

