package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmPlateThickAddvBtTra;

import java.util.List;

/**
 * 钢板轧制规格及厚度余量基准表履历表(PmPlateThickAddvBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-23 17:19:58
 */
public interface PmPlateThickAddvBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest            分页参数
     * @param pmPlateThickAddvBtTras 查询条件
     * @return 返回值
     */
    Page<PmPlateThickAddvBtTra> selectList(PageRequest pageRequest, PmPlateThickAddvBtTra pmPlateThickAddvBtTras);

    /**
     * 保存数据
     *
     * @param pmPlateThickAddvBtTras 数据
     */
    void saveData(List<PmPlateThickAddvBtTra> pmPlateThickAddvBtTras);

}

