package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmPonoWtInfo;

import java.util.List;

/**
 * 炉重信息表(PmPonoWtInfo)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-12 08:26:58
 */
public interface PmPonoWtInfoService {

    /**
     * 查询数据
     *
     * @param pageRequest   分页参数
     * @param pmPonoWtInfos 查询条件
     * @return 返回值
     */
    Page<PmPonoWtInfo> selectList(PageRequest pageRequest, PmPonoWtInfo pmPonoWtInfos);

    /**
     * 保存数据
     *
     * @param pmPonoWtInfos 数据
     */
    void saveData(List<PmPonoWtInfo> pmPonoWtInfos);

}

