package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmProdLineCoarseSocre;

import java.util.List;

/**
 * 产线粗分表(PmProdLineCoarseSocre)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-11 09:06:10
 */
public interface PmProdLineCoarseSocreService {

    /**
     * 查询数据
     *
     * @param pageRequest            分页参数
     * @param pmProdLineCoarseSocres 查询条件
     * @return 返回值
     */
    Page<PmProdLineCoarseSocre> selectList(PageRequest pageRequest, PmProdLineCoarseSocre pmProdLineCoarseSocres);

    /**
     * 保存数据
     *
     * @param pmProdLineCoarseSocres 数据
     */
    void saveData(List<PmProdLineCoarseSocre> pmProdLineCoarseSocres);

}

