package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmSlabScrapLenBtTra;

import java.util.List;

/**
 * 余坯组板采用判定基准表履历表(PmSlabScrapLenBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-23 14:28:57
 */
public interface PmSlabScrapLenBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest          分页参数
     * @param pmSlabScrapLenBtTras 查询条件
     * @return 返回值
     */
    Page<PmSlabScrapLenBtTra> selectList(PageRequest pageRequest, PmSlabScrapLenBtTra pmSlabScrapLenBtTras);

    /**
     * 保存数据
     *
     * @param pmSlabScrapLenBtTras 数据
     */
    void saveData(List<PmSlabScrapLenBtTra> pmSlabScrapLenBtTras);

}

