package com.xisc.pm.app.service;

import com.xisc.pm.domain.entity.PmSlabSpecBtTra;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * 连铸板坯生产规格基准表-履历表(PmSlabSpecBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-23 08:26:13
 */
public interface PmSlabSpecBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest      分页参数
     * @param pmSlabSpecBtTras 查询条件
     * @return 返回值
     */
    Page<PmSlabSpecBtTra> selectList(PageRequest pageRequest, PmSlabSpecBtTra pmSlabSpecBtTras);

    /**
     * 保存数据
     *
     * @param pmSlabSpecBtTras 数据
     */
    void saveData(List<PmSlabSpecBtTra> pmSlabSpecBtTras);

}

