package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmSpeStAddvBtTra;

import java.util.List;

/**
 * 特殊钢种余量增加表履历表(PmSpeStAddvBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 08:50:36
 */
public interface PmSpeStAddvBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest       分页参数
     * @param pmSpeStAddvBtTras 查询条件
     * @return 返回值
     */
    Page<PmSpeStAddvBtTra> selectList(PageRequest pageRequest, PmSpeStAddvBtTra pmSpeStAddvBtTras);

    /**
     * 保存数据
     *
     * @param pmSpeStAddvBtTras 数据
     */
    void saveData(List<PmSpeStAddvBtTra> pmSpeStAddvBtTras);

}

