package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmSteelCastSlab;

import java.util.List;

/**
 * 炼钢连铸制造命令板坯表(PmSteelCastSlab)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-15 10:21:18
 */
public interface PmSteelCastSlabService {

    /**
     * 查询数据
     *
     * @param pageRequest      分页参数
     * @param pmSteelCastSlabs 查询条件
     * @return 返回值
     */
    Page<PmSteelCastSlab> selectList(PageRequest pageRequest, PmSteelCastSlab pmSteelCastSlabs);

    /**
     * 保存数据
     *
     * @param pmSteelCastSlabs 数据
     */
    void saveData(List<PmSteelCastSlab> pmSteelCastSlabs);

}

