package com.xisc.pm.app.service;

import com.xisc.pm.api.dto.PmSubHisRequestDTO;
import com.xisc.pm.api.dto.PmSubHisResponseDTO;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmSubHis;

import java.util.List;

/**
 * 自动替代履历表(PmSubHis)应用服务
 *
 * @author BKGY
 * @since 2024-12-26 09:57:36
 */
public interface PmSubHisService {

    /**
     * 查询数据
     *
     * @param pageRequest 分页参数
     * @param pmSubHiss   查询条件
     * @return 返回值
     */
    Page<PmSubHis> selectList(PageRequest pageRequest, PmSubHisRequestDTO pmSubHisRequestDTO);

    /**
     * 保存数据
     *
     * @param pmSubHiss 数据
     */
    void saveData(List<PmSubHis> pmSubHiss);

    Page<PmSubHisResponseDTO> selectStatisticsList(PageRequest pageRequest, PmSubHisRequestDTO pmSubHisRequestDTO);
}

