package com.xisc.pm.app.service.autoboard.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import lombok.Data;

/**
 * 策略钢种
 * @author jun.zeng
 *
 */
@Data
public class PmAutoPdVersionDTO implements Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = -2305225630451166082L;
    
    private Long requestId ;
    
    private String requestCode ;
    
    private Long policyGroupId ;
    
    private BigDecimal remainingOrderQty ;
    
    private BigDecimal contractQty ;
    
    private BigDecimal remainingContractQty;
    
    // 版本组板总数
    private BigDecimal totSmallPlateNum ;
    
    // 版本参与组板数
    private BigDecimal smallPlateNum;
    
    private BigDecimal boardYield ;
    
    private BigDecimal averageYield ;
    
    private Date createDate ;
    
    private Integer version ;
    
    private String requestStatus ;
    
    private Long publishedVersion ;
    
    private BigDecimal averageWt ;
    
    private BigDecimal allWt ;
    
    public String getKey() {
        return requestId.toString() + "-" + version.toString();
    }
}
