package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmAutoSubSetting;

import java.util.List;

/**
 * 自动替代配置表(PmAutoSubSetting)资源库
 *
 * @author BKGY
 * @since 2024-12-27 08:56:23
 */
public interface PmAutoSubSettingRepository extends BaseRepository<PmAutoSubSetting> {
    /**
     * 查询
     *
     * @param pmAutoSubSetting 查询条件
     * @return 返回值
     */
    List<PmAutoSubSetting> selectList(PmAutoSubSetting pmAutoSubSetting);

    /**
     * 根据主键查询（可关联表）
     *
     * @param id 主键
     * @return 返回值
     */
    PmAutoSubSetting selectByPrimary(Long id);

    PmAutoSubSetting selectPmAutoSubSetting();
}
