package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmCutPlaceBtTra;

import java.util.List;

/**
 * 粗切位置决定基准表履历表(PmCutPlaceBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 08:40:59
 */
public interface PmCutPlaceBtTraRepository extends BaseRepository<PmCutPlaceBtTra> {
    /**
     * 查询
     *
     * @param pmCutPlaceBtTra 查询条件
     * @return 返回值
     */
    List<PmCutPlaceBtTra> selectList(PmCutPlaceBtTra pmCutPlaceBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmCutPlaceBtTra selectByPrimary(Long traId);
}
