package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmHtolStatic;

import java.util.List;

/**
 * 以优充次静态表(PmHtolStatic)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 10:07:37
 */
public interface PmHtolStaticRepository extends BaseRepository<PmHtolStatic> {
    /**
     * 查询
     *
     * @param pmHtolStatic 查询条件
     * @return 返回值
     */
    List<PmHtolStatic> selectList(PmHtolStatic pmHtolStatic);

    /**
     * 根据主键查询（可关联表）
     *
     * @param pmHtolStaticId 主键
     * @return 返回值
     */
    PmHtolStatic selectByPrimary(Long pmHtolStaticId);
}
