package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmIngotTypeBt;

import java.util.List;

/**
 * 锭坯型基表(PmIngotTypeBt)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-29 14:54:10
 */
public interface PmIngotTypeBtRepository extends BaseRepository<PmIngotTypeBt> {
    /**
     * 查询
     *
     * @param pmIngotTypeBt 查询条件
     * @return 返回值
     */
    List<PmIngotTypeBt> selectList(PmIngotTypeBt pmIngotTypeBt);

    /**
     * 根据主键查询（可关联表）
     *
     * @param pitbId 主键
     * @return 返回值
     */
    PmIngotTypeBt selectByPrimary(Long pitbId);

    /**
     * 通过钢锭类型获取锭坯
     * @param ingotType
     * @param tenantId
     * @return
     */
    PmIngotTypeBt selectByIngotType(String ingotType, Long tenantId);
}
