package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmIngotTypeBtTra;

import java.util.List;

/**
 * 锭坯型基表履历表(PmIngotTypeBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-29 14:54:29
 */
public interface PmIngotTypeBtTraRepository extends BaseRepository<PmIngotTypeBtTra> {
    /**
     * 查询
     *
     * @param pmIngotTypeBtTra 查询条件
     * @return 返回值
     */
    List<PmIngotTypeBtTra> selectList(PmIngotTypeBtTra pmIngotTypeBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmIngotTypeBtTra selectByPrimary(Long traId);
}
