package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmMoldSpecBt;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 结晶器规格基准表(PmMoldSpecBt)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-22 14:11:31
 */
public interface PmMoldSpecBtRepository extends BaseRepository<PmMoldSpecBt> {
    /**
     * 查询
     *
     * @param pmMoldSpecBt 查询条件
     * @return 返回值
     */
    List<PmMoldSpecBt> selectList(PmMoldSpecBt pmMoldSpecBt);

    /**
     * 根据主键查询（可关联表）
     *
     * @param pmsbId 主键
     * @return 返回值
     */
    PmMoldSpecBt selectByPrimary(Long pmsbId);
}
