package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmPdCcSlab;
import com.xisc.pm.domain.entity.PmPdCcSlabTra;
import org.hzero.mybatis.base.BaseRepository;

import java.util.Date;
import java.util.List;

/**
 * 组板连铸板坯表-履历表(PmPdCcSlabTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-26 10:45:01
 */
public interface PmPdCcSlabTraRepository extends BaseRepository<PmPdCcSlabTra> {
    /**
     * 查询
     *
     * @param pmPdCcSlabTra 查询条件
     * @return 返回值
     */
    List<PmPdCcSlabTra> selectList(PmPdCcSlabTra pmPdCcSlabTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmPdCcSlabTra selectByPrimary(Long traId);

    /**
     * 创建履历表数据
     *
     * @param pmPdCcSlabList
     * @param operationType
     * @param operationTime
     * @param operationUser
     * @return
     */
    List<PmPdCcSlabTra> PmPdCcSlabTraList(List<PmPdCcSlab> pmPdCcSlabList, String operationType, Date operationTime, String operationUser);
}
