package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmPdContSum;
import com.xisc.pm.domain.entity.PmPdContSumTra;
import org.hzero.mybatis.base.BaseRepository;

import java.util.Date;
import java.util.List;

/**
 * 组板合同总量表(PmPdContSumTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-26 10:56:19
 */
public interface PmPdContSumTraRepository extends BaseRepository<PmPdContSumTra> {
    /**
     * 查询
     *
     * @param pmPdContSumTra 查询条件
     * @return 返回值
     */
    List<PmPdContSumTra> selectList(PmPdContSumTra pmPdContSumTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmPdContSumTra selectByPrimary(Long traId);

    /**
     * 创建组板合同总量表履历表
     *
     * @param pdContSumList
     * @param operationType
     * @param operationTime
     * @param operationUser
     * @return
     */
    List<PmPdContSumTra> buildPmPdContSumTraList(List<PmPdContSum> pdContSumList, String operationType, Date operationTime, String operationUser);
}
