package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmPdSlab;
import com.xisc.pm.domain.entity.PmPdSlabTra;
import org.hzero.mybatis.base.BaseRepository;

import java.util.Date;
import java.util.List;

/**
 * 组板板坯表-履历表(PmPdSlabTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-26 11:12:46
 */
public interface PmPdSlabTraRepository extends BaseRepository<PmPdSlabTra> {
    /**
     * 查询
     *
     * @param pmPdSlabTra 查询条件
     * @return 返回值
     */
    List<PmPdSlabTra> selectList(PmPdSlabTra pmPdSlabTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmPdSlabTra selectByPrimary(Long traId);

    /**
     * 创建板坯履历数据
     *
     * @param pmPdCcSlabList
     * @param operationType
     * @param operationTime
     * @param operationUser
     * @return
     */
    List<PmPdSlabTra> buildPmPdSlabTraList(List<PmPdSlab> pmPdCcSlabList, String operationType, Date operationTime, String operationUser);
}
