package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPdTmpYieldBt;

import java.util.List;

/**
 * 组板临时收得率基准表(PmPdTmpYieldBt)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 11:02:22
 */
public interface PmPdTmpYieldBtRepository extends BaseRepository<PmPdTmpYieldBt> {
    /**
     * 查询
     *
     * @param pmPdTmpYieldBt 查询条件
     * @return 返回值
     */
    List<PmPdTmpYieldBt> selectList(PmPdTmpYieldBt pmPdTmpYieldBt);

    /**
     * 根据主键查询（可关联表）
     *
     * @param pptybId 主键
     * @return 返回值
     */
    PmPdTmpYieldBt selectByPrimary(Long pptybId);
}
