package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPdTmpYieldBtTra;

import java.util.List;

/**
 * 组板临时收得率基准表履历表(PmPdTmpYieldBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 10:10:17
 */
public interface PmPdTmpYieldBtTraRepository extends BaseRepository<PmPdTmpYieldBtTra> {
    /**
     * 查询
     *
     * @param pmPdTmpYieldBtTra 查询条件
     * @return 返回值
     */
    List<PmPdTmpYieldBtTra> selectList(PmPdTmpYieldBtTra pmPdTmpYieldBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmPdTmpYieldBtTra selectByPrimary(Long traId);
}
