package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPlateThickAddvBtTra;

import java.util.List;

/**
 * 钢板轧制规格及厚度余量基准表履历表(PmPlateThickAddvBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-23 17:19:57
 */
public interface PmPlateThickAddvBtTraRepository extends BaseRepository<PmPlateThickAddvBtTra> {
    /**
     * 查询
     *
     * @param pmPlateThickAddvBtTra 查询条件
     * @return 返回值
     */
    List<PmPlateThickAddvBtTra> selectList(PmPlateThickAddvBtTra pmPlateThickAddvBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmPlateThickAddvBtTra selectByPrimary(Long traId);
}
