package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmPolicyGroupAttr;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 策略组扩展表(PmPolicyGroupAttr)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-14 15:58:27
 */
public interface PmPolicyGroupAttrRepository extends BaseRepository<PmPolicyGroupAttr> {
    /**
     * 查询
     *
     * @param pmPolicyGroupAttr 查询条件
     * @return 返回值
     */
    List<PmPolicyGroupAttr> selectList(PmPolicyGroupAttr pmPolicyGroupAttr);

    /**
     * 根据主键查询（可关联表）
     *
     * @param policyGroupId 主键
     * @return 返回值
     */
    PmPolicyGroupAttr selectByPrimary(Long policyGroupId);
}
