package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPolicyOrder;

import java.util.List;

/**
 * 策略信息与合同分组头表(PmPolicyOrder)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-16 10:45:14
 */
public interface PmPolicyOrderRepository extends BaseRepository<PmPolicyOrder> {
    /**
     * 查询
     *
     * @param pmPolicyOrder 查询条件
     * @return 返回值
     */
    List<PmPolicyOrder> selectList(PmPolicyOrder pmPolicyOrder);

    /**
     * 根据主键查询（可关联表）
     *
     * @param policyContractGroupId 主键
     * @return 返回值
     */
    PmPolicyOrder selectByPrimary(Long policyContractGroupId);
}
