package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPolicySection;

import java.util.List;

/**
 * 策略信息与断面关系表(PmPolicySection)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-16 10:46:27
 */
public interface PmPolicySectionRepository extends BaseRepository<PmPolicySection> {
    /**
     * 查询
     *
     * @param pmPolicySection 查询条件
     * @return 返回值
     */
    List<PmPolicySection> selectList(PmPolicySection pmPolicySection);

    /**
     * 根据主键查询（可关联表）
     *
     * @param policySectionId 主键
     * @return 返回值
     */
    PmPolicySection selectByPrimary(Long policySectionId);
}
