package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPolicyVip;

import java.util.List;

/**
 * 策略信息与重要客户关系表(PmPolicyVip)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-16 10:48:16
 */
public interface PmPolicyVipRepository extends BaseRepository<PmPolicyVip> {
    /**
     * 查询
     *
     * @param pmPolicyVip 查询条件
     * @return 返回值
     */
    List<PmPolicyVip> selectList(PmPolicyVip pmPolicyVip);

    /**
     * 根据主键查询（可关联表）
     *
     * @param policyVipCustId 主键
     * @return 返回值
     */
    PmPolicyVip selectByPrimary(Long policyVipCustId);
}
