package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.vo.QdToLineupResultSizingVO1;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 合同处理精整工艺标准(QdToLineupResultSizing)资源库
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-16 08:56:21
 */
public interface PmQdToLineupResultSizingRepository extends BaseRepository<QdToLineupResultSizingVO1> {
    /**
     * 查询
     *
     * @param qdToLineupResultSizingVO1 查询条件
     * @return 返回值
     */
    List<QdToLineupResultSizingVO1> selectList(QdToLineupResultSizingVO1 qdToLineupResultSizingVO1);

    /**
     * 根据主键查询（可关联表）
     *
     * @param lrsId 主键
     * @return 返回值
     */
    QdToLineupResultSizingVO1 selectByPrimary(Long lrsId);
}
