package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.vo.QdToPoLineCombVO1;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 合同处理产线组合(QdToPoLineComb)资源库
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-14 15:45:46
 */
public interface PmQdToPoLineCombRepository extends BaseRepository<QdToPoLineCombVO1> {
    /**
     * 查询
     *
     * @param qdToPoLineCombVO1 查询条件
     * @return 返回值
     */
    List<QdToPoLineCombVO1> selectList(QdToPoLineCombVO1 qdToPoLineCombVO1);

    /**
     * 根据主键查询（可关联表）
     *
     * @param polcId 主键
     * @return 返回值
     */
    QdToPoLineCombVO1 selectByPrimary(Long polcId);
}
