package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmRetainSt;

import java.util.List;

/**
 * 钢种信息配置表(PmRetainSt)资源库
 *
 * @author BKGY
 * @since 2024-12-24 09:11:14
 */
public interface PmRetainStRepository extends BaseRepository<PmRetainSt> {
    /**
     * 查询
     *
     * @param pmRetainSt 查询条件
     * @return 返回值
     */
    List<PmRetainSt> selectList(PmRetainSt pmRetainSt);

    /**
     * 根据主键查询（可关联表）
     *
     * @param id 主键
     * @return 返回值
     */
    PmRetainSt selectByPrimary(Long id);
}
