package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmSlabLenConfigTra;

import java.util.List;

/**
 * 板坯组矩长度配置表履历表(PmSlabLenConfigTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 10:30:36
 */
public interface PmSlabLenConfigTraRepository extends BaseRepository<PmSlabLenConfigTra> {
    /**
     * 查询
     *
     * @param pmSlabLenConfigTra 查询条件
     * @return 返回值
     */
    List<PmSlabLenConfigTra> selectList(PmSlabLenConfigTra pmSlabLenConfigTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmSlabLenConfigTra selectByPrimary(Long traId);
}
