package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmSlabPoolInHis;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 组炉收池历史表(PmSlabPoolInHis)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2025-01-03 14:12:22
 */
public interface PmSlabPoolInHisRepository extends BaseRepository<PmSlabPoolInHis> {
    /**
     * 查询
     *
     * @param pmSlabPoolInHis 查询条件
     * @return 返回值
     */
    List<PmSlabPoolInHis> selectList(PmSlabPoolInHis pmSlabPoolInHis);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmSlabPoolInHis selectByPrimary(Long traId);
}
