package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmSlabReplBt;

import java.util.List;

/**
 * 余材组板内部钢种以优充次对照表(PmSlabReplBt)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 11:30:28
 */
public interface PmSlabReplBtRepository extends BaseRepository<PmSlabReplBt> {
    /**
     * 查询
     *
     * @param pmSlabReplBt 查询条件
     * @return 返回值
     */
    List<PmSlabReplBt> selectList(PmSlabReplBt pmSlabReplBt);

    /**
     * 根据主键查询（可关联表）
     *
     * @param psrbId 主键
     * @return 返回值
     */
    PmSlabReplBt selectByPrimary(Long psrbId);
}
