package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmSlabSpecBtTra;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 连铸板坯生产规格基准表-履历表(PmSlabSpecBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-23 08:26:12
 */
public interface PmSlabSpecBtTraRepository extends BaseRepository<PmSlabSpecBtTra> {
    /**
     * 查询
     *
     * @param pmSlabSpecBtTra 查询条件
     * @return 返回值
     */
    List<PmSlabSpecBtTra> selectList(PmSlabSpecBtTra pmSlabSpecBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmSlabSpecBtTra selectByPrimary(Long traId);
}
