package com.xisc.pm.domain.repository;


import com.xisc.pm.domain.entity.PmSmallPltPos;
import com.xisc.pm.domain.entity.PmSmallPltPosTra;
import org.hzero.mybatis.base.BaseRepository;

import java.util.Date;
import java.util.List;

/**
 * 组板小板位置表-履历表(PmSmallPltPosTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-26 10:58:31
 */
public interface PmSmallPltPosTraRepository extends BaseRepository<PmSmallPltPosTra> {
    /**
     * 查询
     *
     * @param pmSmallPltPosTra 查询条件
     * @return 返回值
     */
    List<PmSmallPltPosTra> selectList(PmSmallPltPosTra pmSmallPltPosTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmSmallPltPosTra selectByPrimary(Long traId);

    /**
     * 批量创建组板小板位置表履历表
     *
     * @param pmSmallPltPosList
     * @param operationType
     * @param operationTime
     * @param operationUsere
     * @return
     */
    List<PmSmallPltPosTra> buildPmSmallPltPosTraList(List<PmSmallPltPos> pmSmallPltPosList, String operationType, Date operationTime, String operationUser);
}
