package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmSpeStAddvBtTra;

import java.util.List;

/**
 * 特殊钢种余量增加表履历表(PmSpeStAddvBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 08:50:36
 */
public interface PmSpeStAddvBtTraRepository extends BaseRepository<PmSpeStAddvBtTra> {
    /**
     * 查询
     *
     * @param pmSpeStAddvBtTra 查询条件
     * @return 返回值
     */
    List<PmSpeStAddvBtTra> selectList(PmSpeStAddvBtTra pmSpeStAddvBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmSpeStAddvBtTra selectByPrimary(Long traId);
}
