package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmSpecTableColumn;

import java.util.List;

/**
 * 合同结构规格表(PmSpecTableColumn)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-12 09:10:23
 */
public interface PmSpecTableColumnRepository extends BaseRepository<PmSpecTableColumn> {
    /**
     * 查询
     *
     * @param pmSpecTableColumn 查询条件
     * @return 返回值
     */
    List<PmSpecTableColumn> selectList(PmSpecTableColumn pmSpecTableColumn);

    /**
     * 根据主键查询（可关联表）
     *
     * @param orderStructureId 主键
     * @return 返回值
     */
    PmSpecTableColumn selectByPrimary(Long orderStructureId);
}
