package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmSteelCastFlowItf;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 炼钢连铸制造命令铸机流-接口表(PmSteelCastFlowItf)资源库
 *
 * @author jie.yang04@hand-chian.com
 * @since 2024-10-15 10:29:37
 */
public interface PmSteelCastFlowItfRepository extends BaseRepository<PmSteelCastFlowItf> {
    /**
     * 查询
     * @param pmSteelCastFlowItf 查询条件
     * @return 返回值
     */
    List<PmSteelCastFlowItf> selectList(PmSteelCastFlowItf pmSteelCastFlowItf);

    /**
     * 根据主键查询（可关联表）
     * @param itfId 主键
     * @return 返回值
     */
    PmSteelCastFlowItf selectByPrimary(Long itfId);

    /**
     * 根据制造命令号查询
     *
     * @param ponoList
     * @param tenantId
     * @return
     */
    List<PmSteelCastFlowItf> selectByPonoList(List<String> ponoList, Long tenantId);
}
