package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmSteelCastHeatItf;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 炼钢连铸制造命令炉次-接口表 (PmSteelCastHeatItf)资源库
 *
 * @author jie.yang04@hand-chian.com
 * @since 2024-10-15 10:29:56
 */
public interface PmSteelCastHeatItfRepository extends BaseRepository<PmSteelCastHeatItf> {
    /**
     * 查询
     * @param pmSteelCastHeatItf 查询条件
     * @return 返回值
     */
    List<PmSteelCastHeatItf> selectList(PmSteelCastHeatItf pmSteelCastHeatItf);

    /**
     * 根据主键查询（可关联表）
     * @param itfId 主键
     * @return 返回值
     */
    PmSteelCastHeatItf selectByPrimary(Long itfId);


    /**
     * 根据炉号查询
     *
     * @param ponoList
     * @param tenantId
     * @return
     */
    List<PmSteelCastHeatItf>  selectByPonoList(List<String> ponoList, Long tenantId);
}
