package com.xisc.pm.domain.repository;

import com.xisc.pm.api.dto.PmSubOrdResponseDTO;
import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmSubOrd;

import java.util.List;

/**
 * 组板履历合同表(PmSubOrd)资源库
 *
 * @author BKGY
 * @since 2025-01-02 10:39:48
 */
public interface PmSubOrdRepository extends BaseRepository<PmSubOrd> {
    /**
     * 查询
     *
     * @param pmSubOrd 查询条件
     * @return 返回值
     */
    List<PmSubOrd> selectList(PmSubOrd pmSubOrd);

    /**
     * 根据主键查询（可关联表）
     *
     * @param id 主键
     * @return 返回值
     */
    PmSubOrd selectByPrimary(Long id);

    List<PmSubOrdResponseDTO> selectOrdList(PmSubOrd pmSubOrd);
}
