package com.xisc.pm.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel("四大命令VO")
public class PmCmdVO implements Serializable {

    private static final long serialVersionUID = -8567276143914608805L;

    @ApiModelProperty(value = "命令板坯号")
    private String ponoSlabNo;

    @ApiModelProperty(value = "命令板坯表")
    private PmCmdSlabVO cmdSlabVO;

    @ApiModelProperty(value = "命令参数表")
    private List<PmCmdContVO> cmdContVOList;

    @ApiModelProperty(value = "命令大板表")
    private PmCmdLargePltVO cmdLargePltVO;

    @ApiModelProperty(value = "命令小板表")
    private List<PmCmdSmallPltVO> cmdSmallPltVOList;

    @ApiModelProperty(value = "大板粗切位置表")
    private List<PmPdPlateCutVO> pdPlateCutVOList;

    @ApiModelProperty(value = "复合/叠轧坯分张命令表")
    private List<PmCompositeSlabDivVO> compositeSlabDivVOList;
}
