package com.xisc.pm.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/9/3 9:51
 */
@Data
public class WmMatSigleVO implements Serializable {
    private static final long serialVersionUID = 7386532537062601984L;

    @ApiModelProperty(value = "复材id")
    private Long matSigleId;

    @ApiModelProperty(value = "材料号")
    private String matNo;

    @ApiModelProperty(value = "厚度")
    private BigDecimal matThick;

    @ApiModelProperty(value = "炉号")
    private String heatNo;

    @ApiModelProperty(value = "复材类型")
    private String matType;

    @ApiModelProperty(value = "复材数量")
    private BigDecimal matQty;
}
