package com.xisc.pm.infra.mapper;

import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.MmSlab;

import java.util.List;

/**
 * 板坯主数据主表(MmSlab)应用服务
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-15 08:52:42
 */
public interface MmSlabMapper extends BaseMapper<MmSlab> {
    /**
     * 基础查询
     *
     * @param mmSlab 查询条件
     * @return 返回值
     */
    List<MmSlab> selectList(MmSlab mmSlab);

    /**
     * 余材板坯充当材料信息列表
     * @param mmSlab
     * @return
     */
    List<MmSlab> surplusSlabList(MmSlab mmSlab);
}

