package com.xisc.pm.infra.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.xisc.pm.app.service.autoboard.dto.PmAutoPdVersionDTO;
import com.xisc.pm.domain.entity.PmAutoPdContract;

import io.choerodon.mybatis.common.BaseMapper;

/**
 * 自动组板合同总量表Mapper
 *
 * @author jun.zeng 2024-11-21 11:05:32
 */
public interface PmAutoPdContractMapper extends BaseMapper<PmAutoPdContract> {

    List<PmAutoPdContract> selectList(@Param("requestId") Long requestId, @Param("version") Long version, @Param("remainCount") String remainCount,
            @Param("tenantId") Long tenantId);

    List<PmAutoPdVersionDTO> selectNumberByRemainingFlag(@Param("requestId") Long requestId,
            @Param("tenantId") Long tenantId);

    int deleteByRequestId(List<Long> requestIds);
    
    List<PmAutoPdContract> selectWithOrderWtByVirtualSlabNo(@Param("virtualSlabNoList") List<String> virtualSlabNoList ,  @Param("requestId") Long requestId, @Param("version") Long version,
            @Param("tenantId") Long tenantId);

}
