package com.xisc.pm.infra.mapper;

import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmCdRuleSet;

import java.util.List;

/**
 * 充当规则集(PmCdRuleSet)应用服务
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-16 10:57:16
 */
public interface PmCdRuleSetMapper extends BaseMapper<PmCdRuleSet> {
    /**
     * 基础查询
     *
     * @param pmCdRuleSet 查询条件
     * @return 返回值
     */
    List<PmCdRuleSet> selectList(PmCdRuleSet pmCdRuleSet);
}

