package com.xisc.pm.infra.mapper;

import com.xisc.pm.domain.entity.PmCmdLargePltTra;
import io.choerodon.mybatis.common.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 命令大板表(PmCmdLargePltTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-28 17:20:32
 */
public interface PmCmdLargePltTraMapper extends BaseMapper<PmCmdLargePltTra> {
    /**
     * 基础查询
     *
     * @param pmCmdLargePltTra 查询条件
     * @return 返回值
     */
    List<PmCmdLargePltTra> selectList(PmCmdLargePltTra pmCmdLargePltTra);

    List<PmCmdLargePltTra> selectByPonoSlabList(@Param("ponoSlabList")List<String> ponoSlabList, @Param("tenantId")Long tenantId);
}

