package com.xisc.pm.infra.mapper;

import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmHotConfig;

import java.util.List;

/**
 * 组炉默认热处理去向配置表(PmHotConfig)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 10:19:07
 */
public interface PmHotConfigMapper extends BaseMapper<PmHotConfig> {
    /**
     * 基础查询
     *
     * @param pmHotConfig 查询条件
     * @return 返回值
     */
    List<PmHotConfig> selectList(PmHotConfig pmHotConfig);
}

