package com.xisc.pm.infra.mapper;

import com.xisc.pm.api.dto.PmPdOperationReRequestDTO;
import com.xisc.pm.api.dto.PmPdOperationReResponseDTO;
import com.xisc.pm.domain.entity.PmPdRec;
import io.choerodon.mybatis.common.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 组板履历表Mapper
 *
 * @author 曾俊 jun.zeng@hand-china.com 2024-07-31 08:01:11
 */
public interface PmPdRecMapper extends BaseMapper<PmPdRec> {

    List<PmPdOperationReResponseDTO> selectPdOperationRecord(@Param("dto")PmPdOperationReRequestDTO dto, @Param("tenantId")Long tenantId);
}
