package com.xisc.pm.infra.mapper;

import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmSlabLenConfig;

import java.util.List;

/**
 * 板坯组矩长度配置表(PmSlabLenConfig)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 10:30:14
 */
public interface PmSlabLenConfigMapper extends BaseMapper<PmSlabLenConfig> {
    /**
     * 基础查询
     *
     * @param pmSlabLenConfig 查询条件
     * @return 返回值
     */
    List<PmSlabLenConfig> selectList(PmSlabLenConfig pmSlabLenConfig);
}

