package com.xisc.pm.infra.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.xisc.pm.domain.entity.PmSmallPltPos;
import io.choerodon.mybatis.common.BaseMapper;

/**
 * 组板小板位置表Mapper
 *
 * @author 曾俊 jun.zeng@hand-china.com 2024-08-02 08:02:39
 */
public interface PmSmallPltPosMapper extends BaseMapper<PmSmallPltPos> {
    
    /**
     * 通过MatNo删除
     * @param tenantId
     * @param removePdMatNo
     */
    int deleteByMatNo(@Param("tenantId") Long tenantId, @Param("removePdMatNo") List<String> removePdMatNo);

    String selectMaxSmallDivNoBySlabNo(@Param("tenantId") Long tenantId, @Param("slabNo") String slabNo);
}
